package com.ruoyi.web.controller.tg;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.web.model.dto.CreateCustomerDto;
import com.ruoyi.web.service.impl.CustomerUserRelServiceImpl;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 客户信息Controller
 *
 * @author cx
 * @date 2025-04-05
 */
@Api(tags = "客户信息管理")
@RestController
@RequiredArgsConstructor
@RequestMapping("/customer/rel")
public class CustomerUserRelController extends BaseController {
    private final CustomerUserRelServiceImpl customerUserRelService;


    @ApiOperation("新建客户")
    @PostMapping("/addCustomer")
    public void addCustomer(@RequestBody CreateCustomerDto createCustomerDto) {
        customerUserRelService.addCustomer(createCustomerDto);
    }
}