package com.ruoyi.web.controller.tg;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.ruoyi.common.core.domain.entity.SysDept;
import com.ruoyi.system.service.ISysDeptService;
import com.ruoyi.web.model.index.OverViewDto;
import com.ruoyi.web.service.IDeviceInfoService;
import com.ruoyi.web.service.IMaintenanceRecordService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 首页-展示统计接口
 *
 * @author cx
 * @date 2025-04-09
 */
@Api(tags = "首页接口统计信息管理")
@RestController
@RequiredArgsConstructor
@RequestMapping("/index")
public class IndexController {
    private final ISysDeptService sysDeptService;
    private final IDeviceInfoService deviceInfoService;
    private final IMaintenanceRecordService maintenanceRecordService;


    @ApiOperation("首页-数据概览")
    @GetMapping("/overview")
    public OverViewDto overview(){
        OverViewDto overViewDto = deviceInfoService.overview();
        Long maintainCount = maintenanceRecordService.count();
        overViewDto.setMaintainCount(maintainCount.intValue());
        LambdaQueryWrapper<SysDept> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(SysDept::getParentId,100L);
        Long customerCount = sysDeptService.count(queryWrapper);
        overViewDto.setCustomerCount(customerCount.intValue());
        return overViewDto;
    }

}
