package com.ruoyi.web.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.ruoyi.common.annotation.Excel;
import lombok.*;
import lombok.experimental.Accessors;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 设备信息对象 tg_device_info
 *
 * @author cx
 * @date 2025-04-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("tg_device_info")
public class DeviceInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 设备信息表-主键 */
    @TableId(value = "id", type = IdType.AUTO)
    private String id;

    /** 设备名称 */
    @Excel(name = "设备名称")
    @TableField("device_name")
    private String deviceName;

    /** 设备型号 */
    @Excel(name = "设备型号")
    @TableField("device_model")
    private String deviceModel;

    /** 设备编码 */
    @Excel(name = "设备编码")
    @TableField("device_code")
    private String deviceCode;

    /** 客户id */
    @Excel(name = "客户id")
    @TableField("customer_id")
    private Long customerId;

    /** 耗材寿命(h) */
    @Excel(name = "耗材寿命(h)")
    @TableField("lifespan")
    private Long lifespan;

    /** 已使用时长(h) */
    @Excel(name = "已使用时长(h)")
    @TableField("used_time")
    private Long usedTime;

    /** 设备状态 */
    @Excel(name = "设备状态")
    @TableField("device_status")
    private Long deviceStatus;

    /** 服务状态 */
    @Excel(name = "服务状态")
    @TableField("service_status")
    private Long serviceStatus;

}