package com.ruoyi.web.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.ruoyi.common.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 设备指标阈值信息对象 tg_device_threshold
 *
 * @author cx
 * @date 2025-04-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tg_device_threshold")
public class DeviceThreshold {
    private static final long serialVersionUID = 1L;

    /**
     * 设备信息指标标准值 id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private String id;

    /**
     * 设备编码
     */
    @Excel(name = "设备编码")
    @TableField("device_code")
    private String deviceCode;

    /**
     * 油温上限 (℃)
     */
    @Excel(name = "油温上限 (℃)")
    @TableField("outl")
    private Long outl;

    /**
     * 水温上限 (℃)
     */
    @Excel(name = "水温上限 (℃)")
    @TableField("wtl")
    private Long wtl;

    /**
     * 气温上限 (℃)
     */
    @Excel(name = "气温上限 (℃)")
    @TableField("atl")
    private Long atl;

    /**
     * 采集板温报警戒线 (℃)
     */
    @Excel(name = "采集板温报警戒线 (℃)")
    @TableField("btl")
    private Long btl;

    /**
     * 出风设定温度 (℃)
     */
    @Excel(name = "出风设定温度 (℃)")
    @TableField("owst")
    private Long owst;

    /**
     * 水流下限 (L/min)
     */
    @Excel(name = "水流下限 (L/min)")
    @TableField("wfl")
    private Long wfl;

    /**
     * 扫描臂速度(mm/s)
     */
    @Excel(name = "扫描臂速度(mm/s)")
    @TableField("sas")
    private Long sas;

    /**
     * 自定义时间间隔 min
     */
    @Excel(name = "自定义时间间隔 min")
    @TableField("cti")
    private Long cti;

    /**
     * 射线电源设定电压1 V
     */
    @Excel(name = "射线电源设定电压1 V")
    @TableField("rpssv1")
    private Long rpssv1;

    /**
     * 射线电源设定电流1 μA
     */
    @Excel(name = "射线电源设定电流1 μA")
    @TableField("rpssc1")
    private Long rpssc1;

    /**
     * 灯丝设定电流1 μA
     */
    @Excel(name = "灯丝设定电流1 μA")
    @TableField("fsc1")
    private Long fsc1;

    /**
     * 灯丝预热设定电流1 μA
     */
    @Excel(name = "灯丝预热设定电流1 μA")
    @TableField("fpsc1")
    private Long fpsc1;

    /**
     * 射线电源设定电压2 V
     */
    @Excel(name = "射线电源设定电压2 V")
    @TableField("rpssv2")
    private Long rpssv2;

    /**
     * 射线电源设定电流2 μA
     */
    @Excel(name = "射线电源设定电流2 μA")
    @TableField("rpssc2")
    private Long rpssc2;

    /**
     * 灯丝设定电流2 μA
     */
    @Excel(name = "灯丝设定电流2 μA")
    @TableField("fsc2")
    private Long fsc2;

    /**
     * 灯丝预热设定电流2 μA
     */
    @Excel(name = "灯丝预热设定电流2 μA")
    @TableField("fpsc2")
    private Long fpsc2;

}