package com.ruoyi.web.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 设备用户关联信息对象 tg_device_user_rel
 *
 * @author cx
 * @date 2025-04-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tg_device_user_rel")
public class DeviceUserRel {
    private static final long serialVersionUID = 1L;

    /**
     * 设备-用户 关联表 id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private String id;

    /**
     * 设备编码
     */
    @Excel(name = "设备编码")
    @TableField("device_code")
    private String deviceCode;

    /**
     * 设备编码
     */
    @Excel(name = "客户id")
    @TableField("customer_id")
    private Long customerId;

    /**
     * 用户id
     */
    @Excel(name = "用户id")
    @TableField("user_id")
    private Long userId;

}