package com.ruoyi.web.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 设备-EMQX鉴权信息对象 tg_emqx_auth
 *
 * @author ruoyi
 * @date 2025-04-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tg_emqx_auth")
public class EmqxAuth {
    private static final long serialVersionUID = 1L;

    /**
     * 设备-EMQX鉴权表
     */
    @TableId(value = "id", type = IdType.AUTO)
    private String id;

    /**
     * 设备编码
     */
    private String deviceCode;

    /**
     * 本地用户名
     */
    @ApiModelProperty(name = "本地用户名")
    @TableField("local_user_name")
    private String localUserName;

    /**
     * 本地pass
     */
    @ApiModelProperty(name = "本地pass")
    @TableField("local_pass")
    private String localPass;

    /**
     * 云用户名
     */
    @ApiModelProperty(name = "云用户名")
    @TableField("cloud_user_name")
    private String cloudUserName;

    /**
     * 云密码
     */
    @ApiModelProperty(name = "云密码")
    @TableField("cloud_pass")
    private String cloudPass;

}