package com.ruoyi.web.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 设备维保记录对象 tg_maintenance_record
 *
 * @author cx
 * @date 2025-04-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tg_maintenance_record")
public class MaintenanceRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 设备维保记录-主键 */
    @TableId(value = "id", type = IdType.AUTO)
    private String id;

    /** 设备名称 */
    @Excel(name = "设备名称")
    @TableField("device_name")
    private String deviceName;

    /** 设备型号 */
    @Excel(name = "设备型号")
    @TableField("device_model")
    private String deviceModel;

    /** 设备编码 */
    @Excel(name = "设备编码")
    @TableField("device_code")
    private String deviceCode;

    /** 所属客户 */
    @Excel(name = "所属客户")
    @TableField("customer_name")
    private String customerName;

    /** 维保类型，字典表维护 */
    @Excel(name = "维保类型，字典表维护")
    @TableField("maintenance_type")
    private Long maintenanceType;

    /** 维护人 */
    @Excel(name = "维护人")
    @TableField("maintenance_user")
    private String maintenanceUser;

    /** 维护日期 */
    @Excel(name = "维护日期", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("maintenance_date")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date maintenanceDate;

    @Excel(name = "备注")
    @TableField("comments")
    private String comments;

}