package com.ruoyi.web.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.web.domain.DeviceInfo;

/**
 * 设备信息Mapper接口
 * 
 * @author cx
 * @date 2025-04-03
 */
public interface DeviceInfoMapper extends BaseMapper<DeviceInfo>
{ /**
 * 查询设备信息
 *
 * @param id 设备信息主键
 * @return 设备信息
 */
public DeviceInfo selectDeviceInfoById(String id);

    /**
     * 查询设备信息列表
     *
     * @param deviceInfo 设备信息
     * @return 设备信息集合
     */
    public List<DeviceInfo> selectDeviceInfoList(DeviceInfo deviceInfo);

    /**
     * 新增设备信息
     *
     * @param deviceInfo 设备信息
     * @return 结果
     */
    public int insertDeviceInfo(DeviceInfo deviceInfo);

    /**
     * 修改设备信息
     *
     * @param deviceInfo 设备信息
     * @return 结果
     */
    public int updateDeviceInfo(DeviceInfo deviceInfo);

    /**
     * 删除设备信息
     *
     * @param id 设备信息主键
     * @return 结果
     */
    public int deleteDeviceInfoById(String id);

    /**
     * 批量删除设备信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDeviceInfoByIds(String[] ids);

}
