package com.ruoyi.web.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.web.domain.DeviceModel;
import com.ruoyi.web.model.index.OverViewDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 设备型号Mapper接口
 *
 * @author cx
 * @date 2025-04-03
 */
@Mapper
public interface DeviceModelMapper extends BaseMapper<DeviceModel> {
    /**
     * 查询设备型号
     *
     * @param id 设备型号主键
     * @return 设备型号
     */
    @Select("select * from tg_device_model")
    DeviceModel selectDeviceModelById(String id);

    /**
     * 查询设备型号列表
     *
     * @param deviceModel 设备型号
     * @return 设备型号集合
     */
    List<DeviceModel> selectDeviceModelList(DeviceModel deviceModel);

    /**
     * 新增设备型号
     *
     * @param deviceModel 设备型号
     * @return 结果
     */
    int insertDeviceModel(DeviceModel deviceModel);

    /**
     * 修改设备型号
     *
     * @param deviceModel 设备型号
     * @return 结果
     */
    int updateDeviceModel(DeviceModel deviceModel);

    /**
     * 删除设备型号
     *
     * @param id 设备型号主键
     * @return 结果
     */
    int deleteDeviceModelById(String id);

    /**
     * 批量删除设备型号
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteDeviceModelByIds(String[] ids);

    OverViewDto overview();

}
