package com.ruoyi.web.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.web.domain.DeviceThreshold;

/**
 * 设备指标阈值信息Mapper接口
 * 
 * @author cx
 * @date 2025-04-03
 */
public interface DeviceThresholdMapper extends BaseMapper<DeviceThreshold>
{
    /**
     * 查询设备指标阈值信息
     * 
     * @param id 设备指标阈值信息主键
     * @return 设备指标阈值信息
     */
    public DeviceThreshold selectDeviceThresholdById(String id);

    /**
     * 查询设备指标阈值信息列表
     * 
     * @param deviceThreshold 设备指标阈值信息
     * @return 设备指标阈值信息集合
     */
    public List<DeviceThreshold> selectDeviceThresholdList(DeviceThreshold deviceThreshold);

    /**
     * 新增设备指标阈值信息
     * 
     * @param deviceThreshold 设备指标阈值信息
     * @return 结果
     */
    public int insertDeviceThreshold(DeviceThreshold deviceThreshold);

    /**
     * 修改设备指标阈值信息
     * 
     * @param deviceThreshold 设备指标阈值信息
     * @return 结果
     */
    public int updateDeviceThreshold(DeviceThreshold deviceThreshold);

    /**
     * 删除设备指标阈值信息
     * 
     * @param id 设备指标阈值信息主键
     * @return 结果
     */
    public int deleteDeviceThresholdById(String id);

    /**
     * 批量删除设备指标阈值信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDeviceThresholdByIds(String[] ids);
}
