package com.ruoyi.web.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.web.domain.DeviceUserRel;

/**
 * 设备用户关联信息Mapper接口
 * 
 * @author cx
 * @date 2025-04-03
 */
public interface DeviceUserRelMapper extends BaseMapper<DeviceUserRel>
{
    /**
     * 查询设备用户关联信息
     * 
     * @param id 设备用户关联信息主键
     * @return 设备用户关联信息
     */
    public DeviceUserRel selectDeviceUserRelById(String id);

    /**
     * 查询设备用户关联信息列表
     * 
     * @param deviceUserRel 设备用户关联信息
     * @return 设备用户关联信息集合
     */
    public List<DeviceUserRel> selectDeviceUserRelList(DeviceUserRel deviceUserRel);

    /**
     * 新增设备用户关联信息
     * 
     * @param deviceUserRel 设备用户关联信息
     * @return 结果
     */
    public int insertDeviceUserRel(DeviceUserRel deviceUserRel);

    /**
     * 修改设备用户关联信息
     * 
     * @param deviceUserRel 设备用户关联信息
     * @return 结果
     */
    public int updateDeviceUserRel(DeviceUserRel deviceUserRel);

    /**
     * 删除设备用户关联信息
     * 
     * @param id 设备用户关联信息主键
     * @return 结果
     */
    public int deleteDeviceUserRelById(String id);

    /**
     * 批量删除设备用户关联信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDeviceUserRelByIds(String[] ids);
}
