package com.ruoyi.web.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.web.domain.MaintenanceRecord;
import com.ruoyi.web.model.index.MaintainCountDto;

import java.util.List;

/**
 * 设备维保记录Mapper接口
 *
 * @author cx
 * @date 2025-04-03
 */
public interface MaintenanceRecordMapper extends BaseMapper<MaintenanceRecord> {

    /**
     * 查询设备维保记录列表
     *
     * @param maintenanceRecord 设备维保记录
     * @return 设备维保记录集合
     */
    List<MaintenanceRecord> selectMaintenanceRecordList(MaintenanceRecord maintenanceRecord);

    /**
     * 查询维保统计数量
     * @return
     */
    MaintainCountDto selectOverViewMaintainCount();


    /**
     * 按照客户维度统计维保情况
     * @return
     */
    MaintainCountDto selectMaintainCountGroupByCustomer();


}
