package com.ruoyi.web.model.dto;

import com.ruoyi.web.domain.EmqxAuth;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 新建设备信息DTO
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel("新建设备信息DTO")
public class CreateDeviceInfoDto {

    /**
     * 设备名称
     */
    @ApiModelProperty(value = "设备名称", required = true)
    @NotNull(message = "设备名称不能为空")
    private String deviceName;

    /**
     * 设备型号
     */
    @ApiModelProperty(value = "设备型号", required = true)
    @NotBlank(message = "设备型号不能为空")
    private String deviceModel;

    /**
     * 设备编码
     */
    @ApiModelProperty(value = "设备编码", required = true)
    @NotBlank(message = "设备编码不能为空")
    private String deviceCode;

    /**
     * 客户id
     */
    @ApiModelProperty(value = "客户id", required = true)
    @NotNull(message = "客户id不能为空")
    private Long customerId;

    @ApiModelProperty("用户idList")
    private List<Long> userIdList;

    @ApiModelProperty(value = "EMQX认证信息",required = true)
    private EmqxAuth emqxAuth;

}
