package com.ruoyi.web.mqTask.impl;

import com.ruoyi.web.mqTask.mqtt.RegularMqttListener;
import com.ruoyi.web.mqTask.mqtt.RegularMqttSubscription;
import lombok.extern.slf4j.Slf4j;
import org.eclipse.paho.client.mqttv3.MqttMessage;

/**
 * 监听设备计算数据信息Topic
 *
 * @author cx
 * @date 2025/04/09 11:27
 */
@RegularMqttSubscription(topic = "v1/cpy/+/calculation")
@Slf4j
public class DeviceCalculateConsumer implements RegularMqttListener {

    @Override
    public void consume(String topic, MqttMessage mqttMessage) {
        log.info("接受到设备 【{}】 计算Msg -> {}",
                topic.substring(topic.lastIndexOf("v1/cpy/") + 7, topic.indexOf("/calculation")),
                new String(mqttMessage.getPayload()));
    }
}
