package com.ruoyi.web.mqTask.impl;

import com.ruoyi.web.mqTask.mqtt.RegularMqttListener;
import com.ruoyi.web.mqTask.mqtt.RegularMqttSubscription;
import lombok.extern.slf4j.Slf4j;
import org.eclipse.paho.client.mqttv3.MqttMessage;

/**
 * 监听设备信息Topic
 *
 * @author cx
 * @date 2025/04/09 11:27
 */
@RegularMqttSubscription(topic = "v1/cpy/+/infos")
@Slf4j
public class DeviceConsumer implements RegularMqttListener {

    @Override
    public void consume(String topic, MqttMessage mqttMessage) {
        log.info("Received Topic: {} , Message: {}", topic, new String(mqttMessage.getPayload()));
    }
}
