package com.ruoyi.web.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.web.domain.CustomerDeptPostRel;
import com.ruoyi.web.model.dto.CustomerDeptPostRelDto;

import java.util.List;

/**
 * 客户-部门-岗位关联Service接口
 *
 * @author ruoyi
 * @date 2025-04-08
 */
public interface ICustomerDeptPostRelService extends IService<CustomerDeptPostRel> {
    /**
     * 查询客户-部门-岗位关联
     *
     * @param id 客户-部门-岗位关联主键
     * @return 客户-部门-岗位关联
     */
    CustomerDeptPostRel selectCustomerDeptPostRelById(Long id);

    /**
     * 查询客户-部门-岗位关联列表
     *
     * @param customerDeptPostRel 客户-部门-岗位关联
     * @return 客户-部门-岗位关联
     */
    List<CustomerDeptPostRelDto> selectCustomerDeptPostRelList(CustomerDeptPostRel customerDeptPostRel);

    /**
     * 新增客户-部门-岗位关联
     *
     * @param customerDeptPostRel 客户-部门-岗位关联
     * @return 结果
     */
    int insertCustomerDeptPostRel(CustomerDeptPostRel customerDeptPostRel);

    /**
     * 修改客户-部门-岗位关联
     *
     * @param customerDeptPostRel 客户-部门-岗位关联
     * @return 结果
     */
    int updateCustomerDeptPostRel(CustomerDeptPostRel customerDeptPostRel);

    /**
     * 批量删除客户-部门-岗位关联
     *
     * @param ids 需要删除的客户-部门-岗位关联主键
     * @return 结果
     */
    int deleteCustomerDeptPostRelByIds(Long[] ids);

    /**
     * 删除客户-部门-岗位关联信息
     *
     * @param id 客户-部门-岗位关联主键
     * @return 结果
     */
    int deleteCustomerDeptPostRelById(Long id);
}