package com.ruoyi.web.service;

import java.util.List;
import com.ruoyi.web.domain.DeviceInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.web.model.dto.CreateDeviceInfoDto;
import com.ruoyi.web.model.dto.DeviceListDto;
import com.ruoyi.web.model.index.OverViewDto;

/**
 * 设备信息Service接口
 *
 * @author cx
 * @date 2025-04-05
 */
public interface IDeviceInfoService extends IService<DeviceInfo>
{
    /**
     * 查询设备信息
     *
     * @param id 设备信息主键
     * @return 设备信息
     */
    public DeviceInfo selectDeviceInfoById(String id);

    /**
     * 查询设备信息列表
     *
     * @param deviceInfo 设备信息
     * @return 设备信息
     */
    public List<DeviceListDto> selectDeviceInfoList(DeviceInfo deviceInfo);

    /**
     * 新增设备信息
     *
     * @param deviceInfo 设备信息
     * @return 结果
     */
    public int insertDeviceInfo(DeviceInfo deviceInfo);


    /**
     * 创建设备信息
     * @param deviceInfo
     * @return
     */
    public int createDeviceInfo(CreateDeviceInfoDto deviceInfo);
    /**
     * 修改设备信息
     *
     * @param deviceInfo 设备信息
     * @return 结果
     */
    public int updateDeviceInfo(DeviceInfo deviceInfo);

    /**
     * 批量删除设备信息
     *
     * @param ids 需要删除的设备信息主键
     * @return 结果
     */
    public int deleteDeviceInfoByIds(String[] ids);

    /**
     * 删除设备信息信息
     *
     * @param id 设备信息主键
     * @return 结果
     */
    public int deleteDeviceInfoById(String id);

    /**
     * 查询设备数量
     * @return
     */
    OverViewDto overview();

}