package com.ruoyi.web.service;

import java.util.List;
import com.ruoyi.web.domain.DeviceModel;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 设备型号Service接口
 *
 * @author cx
 * @date 2025-04-05
 */
public interface IDeviceModelService extends IService<DeviceModel>
{
    /**
     * 查询设备型号
     *
     * @param id 设备型号主键
     * @return 设备型号
     */
    public DeviceModel selectDeviceModelById(String id);

    /**
     * 查询设备型号列表
     *
     * @param deviceModel 设备型号
     * @return 设备型号
     */
    public List<DeviceModel> selectDeviceModelList(DeviceModel deviceModel);

    /**
     * 新增设备型号
     *
     * @param deviceModel 设备型号
     * @return 结果
     */
    public int insertDeviceModel(DeviceModel deviceModel);

    /**
     * 修改设备型号
     *
     * @param deviceModel 设备型号
     * @return 结果
     */
    public int updateDeviceModel(DeviceModel deviceModel);

    /**
     * 批量删除设备型号
     *
     * @param ids 需要删除的设备型号主键
     * @return 结果
     */
    public int deleteDeviceModelByIds(String[] ids);

    /**
     * 删除设备型号信息
     *
     * @param id 设备型号主键
     * @return 结果
     */
    public int deleteDeviceModelById(String id);
}