package com.ruoyi.web.service;

import java.util.List;

import com.ruoyi.web.domain.DeviceThreshold;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 设备指标阈值信息Service接口
 *
 * @author cx
 * @date 2025-04-05
 */
public interface IDeviceThresholdService extends IService<DeviceThreshold> {
    String DEFULT_DEVICE_CODE= "000000";
    /**
     * 查询设备指标阈值信息
     *
     * @param deviceCode 设备编码
     * @return 设备指标阈值信息
     */
    public DeviceThreshold selectDeviceThresholdById(String deviceCode);

    /**
     * 查询设备指标阈值信息列表
     *
     * @param deviceThreshold 设备指标阈值信息
     * @return 设备指标阈值信息
     */
    public List<DeviceThreshold> selectDeviceThresholdList(DeviceThreshold deviceThreshold);

    /**
     * 新增设备指标阈值信息
     *
     * @param deviceThreshold 设备指标阈值信息
     * @return 结果
     */
    public int insertDeviceThreshold(DeviceThreshold deviceThreshold);

    /**
     * 修改设备指标阈值信息
     *
     * @param deviceThreshold 设备指标阈值信息
     * @return 结果
     */
    public int updateDeviceThreshold(DeviceThreshold deviceThreshold);

    /**
     * 批量删除设备指标阈值信息
     *
     * @param ids 需要删除的设备指标阈值信息主键
     * @return 结果
     */
    public int deleteDeviceThresholdByIds(String[] ids);

    /**
     * 删除设备指标阈值信息信息
     *
     * @param id 设备指标阈值信息主键
     * @return 结果
     */
    public int deleteDeviceThresholdById(String id);

    /**
     * 根据设备编码查询设备指标阈值信息
     *
     * @param deviceCode 设备编码
     * @return 设备指标阈值信息
     */
    void initDeviceThreshold(String deviceCode);
}