package com.ruoyi.web.service;

import java.util.List;
import com.ruoyi.web.domain.DeviceUserRel;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 设备用户关联信息Service接口
 *
 * @author cx
 * @date 2025-04-05
 */
public interface IDeviceUserRelService extends IService<DeviceUserRel>
{
    /**
     * 查询设备用户关联信息
     *
     * @param id 设备用户关联信息主键
     * @return 设备用户关联信息
     */
    public DeviceUserRel selectDeviceUserRelById(String id);

    /**
     * 查询设备用户关联信息列表
     *
     * @param deviceUserRel 设备用户关联信息
     * @return 设备用户关联信息
     */
    public List<DeviceUserRel> selectDeviceUserRelList(DeviceUserRel deviceUserRel);

    /**
     * 新增设备用户关联信息
     *
     * @param deviceUserRel 设备用户关联信息
     * @return 结果
     */
    public int insertDeviceUserRel(DeviceUserRel deviceUserRel);

    /**
     * 修改设备用户关联信息
     *
     * @param deviceUserRel 设备用户关联信息
     * @return 结果
     */
    public int updateDeviceUserRel(DeviceUserRel deviceUserRel);

    /**
     * 批量删除设备用户关联信息
     *
     * @param ids 需要删除的设备用户关联信息主键
     * @return 结果
     */
    public int deleteDeviceUserRelByIds(String[] ids);

    /**
     * 删除设备用户关联信息信息
     *
     * @param id 设备用户关联信息主键
     * @return 结果
     */
    public int deleteDeviceUserRelById(String id);
}