package com.ruoyi.web.service;

import java.util.List;
import com.ruoyi.web.domain.EmqxAuth;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 设备-EMQX鉴权信息Service接口
 *
 * @author ruoyi
 * @date 2025-04-08
 */
public interface IEmqxAuthService extends IService<EmqxAuth>
{
    /**
     * 查询设备-EMQX鉴权信息
     *
     * @param id 设备-EMQX鉴权信息主键
     * @return 设备-EMQX鉴权信息
     */
    public EmqxAuth selectEmqxAuthById(String id);

    /**
     * 查询设备-EMQX鉴权信息列表
     *
     * @param emqxAuth 设备-EMQX鉴权信息
     * @return 设备-EMQX鉴权信息
     */
    public List<EmqxAuth> selectEmqxAuthList(EmqxAuth emqxAuth);

    /**
     * 新增设备-EMQX鉴权信息
     *
     * @param emqxAuth 设备-EMQX鉴权信息
     * @return 结果
     */
    public int insertEmqxAuth(EmqxAuth emqxAuth);

    /**
     * 修改设备-EMQX鉴权信息
     *
     * @param emqxAuth 设备-EMQX鉴权信息
     * @return 结果
     */
    public int updateEmqxAuth(EmqxAuth emqxAuth);

    /**
     * 批量删除设备-EMQX鉴权信息
     *
     * @param ids 需要删除的设备-EMQX鉴权信息主键
     * @return 结果
     */
    public int deleteEmqxAuthByIds(String[] ids);

    /**
     * 删除设备-EMQX鉴权信息信息
     *
     * @param id 设备-EMQX鉴权信息主键
     * @return 结果
     */
    public int deleteEmqxAuthById(String id);
}