package com.ruoyi.web.service;

import java.util.List;
import com.ruoyi.web.domain.MaintenanceRecord;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 设备维保记录Service接口
 *
 * @author cx
 * @date 2025-04-05
 */
public interface IMaintenanceRecordService extends IService<MaintenanceRecord>
{
    /**
     * 查询设备维保记录
     *
     * @param id 设备维保记录主键
     * @return 设备维保记录
     */
    public MaintenanceRecord selectMaintenanceRecordById(String id);

    /**
     * 查询设备维保记录列表
     *
     * @param maintenanceRecord 设备维保记录
     * @return 设备维保记录
     */
    public List<MaintenanceRecord> selectMaintenanceRecordList(MaintenanceRecord maintenanceRecord);

    /**
     * 新增设备维保记录
     *
     * @param maintenanceRecord 设备维保记录
     * @return 结果
     */
    public int insertMaintenanceRecord(MaintenanceRecord maintenanceRecord);

    /**
     * 修改设备维保记录
     *
     * @param maintenanceRecord 设备维保记录
     * @return 结果
     */
    public int updateMaintenanceRecord(MaintenanceRecord maintenanceRecord);

    /**
     * 批量删除设备维保记录
     *
     * @param ids 需要删除的设备维保记录主键
     * @return 结果
     */
    public int deleteMaintenanceRecordByIds(String[] ids);

    /**
     * 删除设备维保记录信息
     *
     * @param id 设备维保记录主键
     * @return 结果
     */
    public int deleteMaintenanceRecordById(String id);
}