/*
 Navicat Premium Dump SQL

 Source Server         : Local-Mysql
 Source Server Type    : MySQL
 Source Server Version : 80041 (8.0.41)
 Source Host           : localhost:3306
 Source Schema         : ruoyi

 Target Server Type    : MySQL
 Target Server Version : 80041 (8.0.41)
 File Encoding         : 65001

 Date: 15/04/2025 13:29:44
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for gen_table
-- ----------------------------
DROP TABLE IF EXISTS `gen_table`;
CREATE TABLE `gen_table`  (
  `table_id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '表名称',
  `table_comment` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '表描述',
  `sub_table_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '关联子表的表名',
  `sub_table_fk_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '子表关联的外键名',
  `class_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '实体类名称',
  `tpl_category` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'crud' COMMENT '使用的模板（crud单表操作 tree树表操作）',
  `tpl_web_type` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '前端模板类型（element-ui模版 element-plus模版）',
  `package_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成包路径',
  `module_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成模块名',
  `business_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成业务名',
  `function_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成功能名',
  `function_author` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成功能作者',
  `gen_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '生成代码方式（0zip压缩包 1自定义路径）',
  `gen_path` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '/' COMMENT '生成路径（不填默认项目路径）',
  `options` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '其它生成选项',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`table_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 13 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '代码生成业务表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of gen_table
-- ----------------------------
INSERT INTO `gen_table` VALUES (7, 'tg_customer_user_rel', '客户用户关联信息', NULL, NULL, 'CustomerUserRel', 'crud', '', 'com.ruoyi.web', 'web', 'rel', '客户用户关联信息', 'cx', '0', '/', NULL, 'admin', '2025-04-03 11:01:34', '', NULL, NULL);
INSERT INTO `gen_table` VALUES (8, 'tg_device_info', '设备信息', NULL, NULL, 'DeviceInfo', 'crud', '', 'com.ruoyi.web', 'web', 'info', '设备信息', 'cx', '0', '/', NULL, 'admin', '2025-04-03 11:01:34', '', NULL, NULL);
INSERT INTO `gen_table` VALUES (9, 'tg_device_model', '设备型号', NULL, NULL, 'DeviceModel', 'crud', '', 'com.ruoyi.web', 'web', 'model', '设备型号', 'cx', '0', '/', NULL, 'admin', '2025-04-03 11:01:34', '', NULL, NULL);
INSERT INTO `gen_table` VALUES (10, 'tg_device_threshold', '设备指标阈值信息', NULL, NULL, 'DeviceThreshold', 'crud', '', 'com.ruoyi.web', 'web', 'threshold', '设备指标阈值信息', 'cx', '0', '/', NULL, 'admin', '2025-04-03 11:01:34', '', NULL, NULL);
INSERT INTO `gen_table` VALUES (11, 'tg_device_user_rel', '设备用户关联信息', NULL, NULL, 'DeviceUserRel', 'crud', '', 'com.ruoyi.web', 'web', 'rel', '设备用户关联信息', 'cx', '0', '/', NULL, 'admin', '2025-04-03 11:01:34', '', NULL, NULL);
INSERT INTO `gen_table` VALUES (12, 'tg_maintenance_record', '设备维保记录', NULL, NULL, 'MaintenanceRecord', 'crud', '', 'com.ruoyi.web', 'web', 'record', '设备维保记录', 'cx', '0', '/', NULL, 'admin', '2025-04-03 11:01:34', '', NULL, NULL);

-- ----------------------------
-- Table structure for gen_table_column
-- ----------------------------
DROP TABLE IF EXISTS `gen_table_column`;
CREATE TABLE `gen_table_column`  (
  `column_id` bigint NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_id` bigint NULL DEFAULT NULL COMMENT '归属表编号',
  `column_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '列名称',
  `column_comment` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '列描述',
  `column_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '列类型',
  `java_type` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'JAVA类型',
  `java_field` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'JAVA字段名',
  `is_pk` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否主键（1是）',
  `is_increment` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否自增（1是）',
  `is_required` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否必填（1是）',
  `is_insert` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否为插入字段（1是）',
  `is_edit` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否编辑字段（1是）',
  `is_list` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否列表字段（1是）',
  `is_query` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否查询字段（1是）',
  `query_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'EQ' COMMENT '查询方式（等于、不等于、大于、小于、范围）',
  `html_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '显示类型（文本框、文本域、下拉框、复选框、单选框、日期控件）',
  `dict_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典类型',
  `sort` int NULL DEFAULT NULL COMMENT '排序',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`column_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 119 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '代码生成业务表字段' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of gen_table_column
-- ----------------------------
INSERT INTO `gen_table_column` VALUES (60, 7, 'id', '客户 - 用户 关联表 id', 'int unsigned', 'String', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', NULL, '', 1, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (61, 7, 'customer_id', '客户id', 'bigint', 'Long', 'customerId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (62, 7, 'user_id', '用户id', 'bigint', 'Long', 'userId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (63, 7, 'customer_name', '客户昵称(辅助参考)', 'varchar(32)', 'String', 'customerName', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 4, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (64, 7, 'user_name', '用户昵称(辅助参考)', 'varchar(32)', 'String', 'userName', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 5, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (65, 8, 'id', '设备信息表-主键', 'int unsigned', 'String', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', NULL, '', 1, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (66, 8, 'device_name', '设备名称', 'varchar(128)', 'String', 'deviceName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (67, 8, 'device_model', '设备型号', 'varchar(32)', 'String', 'deviceModel', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (68, 8, 'device_code', '设备编码', 'varchar(32)', 'String', 'deviceCode', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (69, 8, 'customer_id', '客户id', 'bigint', 'Long', 'customerId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (70, 8, 'lifespan', '耗材寿命(h)', 'double', 'Long', 'lifespan', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (71, 8, 'userd_time', '已使用时长(h)', 'double', 'Long', 'userdTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (72, 8, 'device_status', '设备状态', 'tinyint', 'Long', 'deviceStatus', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 8, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (73, 8, 'service_status', '服务状态', 'tinyint', 'Long', 'serviceStatus', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 9, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (74, 8, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 10, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (75, 8, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 11, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (76, 8, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 12, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (77, 8, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 13, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (78, 9, 'id', '设备型号id', 'int unsigned', 'String', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', NULL, '', 1, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (79, 9, 'device_code', '设备型号', 'varchar(32)', 'String', 'deviceCode', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (80, 9, 'device_pic', '设备图片', 'varchar(255)', 'String', 'devicePic', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (81, 9, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 4, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (82, 9, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', 'input', '', 5, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (83, 9, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (84, 9, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 7, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (85, 10, 'id', '设备信息指标标准值 id', 'int unsigned', 'String', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', NULL, '', 1, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (86, 10, 'device_code', '设备编码', 'varchar(32)', 'String', 'deviceCode', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (87, 10, 'outl', '油温上限 (℃)', 'double', 'Long', 'outl', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (88, 10, 'wtl', '水温上限 (℃)', 'double', 'Long', 'wtl', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (89, 10, 'atl', '气温上限 (℃)', 'double', 'Long', 'atl', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (90, 10, 'btl', '采集板温报警戒线 (℃)', 'double', 'Long', 'btl', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (91, 10, 'owst', '出风设定温度 (℃)', 'double', 'Long', 'owst', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (92, 10, 'wfl', '水流下限 (L/min)', 'double', 'Long', 'wfl', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (93, 10, 'sas', '扫描臂速度(mm/s)', 'double', 'Long', 'sas', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (94, 10, 'cti', '自定义时间间隔 min', 'double', 'Long', 'cti', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (95, 10, 'rpssv1', '射线电源设定电压1 V', 'double', 'Long', 'rpssv1', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (96, 10, 'rpssc1', '射线电源设定电流1 μA', 'double', 'Long', 'rpssc1', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 12, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (97, 10, 'fsc1', '灯丝设定电流1 μA', 'double', 'Long', 'fsc1', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 13, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (98, 10, 'fpsc1', '灯丝预热设定电流1 μA', 'double', 'Long', 'fpsc1', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 14, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (99, 10, 'rpssv2', '射线电源设定电压2 V', 'double', 'Long', 'rpssv2', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 15, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (100, 10, 'rpssc2', '射线电源设定电流2 μA', 'double', 'Long', 'rpssc2', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 16, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (101, 10, 'fsc2', '灯丝设定电流2 μA', 'double', 'Long', 'fsc2', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 17, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (102, 10, 'fpsc2', '灯丝预热设定电流2 μA', 'double unsigned zerofill', 'String', 'fpsc2', '0', '0', '0', '1', '1', '1', '1', 'EQ', NULL, '', 18, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (103, 11, 'id', '设备-用户 关联表 id', 'int unsigned', 'String', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', NULL, '', 1, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (104, 11, 'device_code', '设备编码', 'varchar(32)', 'String', 'deviceCode', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (105, 11, 'user_id', '用户id', 'bigint', 'Long', 'userId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (106, 12, 'id', '设备维保记录-主键', 'int unsigned', 'String', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', NULL, '', 1, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (107, 12, 'device_name', '设备名称', 'varchar(32)', 'String', 'deviceName', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (108, 12, 'device_model', '设备型号', 'varchar(32)', 'String', 'deviceModel', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (109, 12, 'device_code', '设备编码', 'varchar(32)', 'String', 'deviceCode', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (110, 12, 'customer_name', '所属客户', 'varchar(32)', 'String', 'customerName', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 5, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (111, 12, 'maintenance_type', '维保类型，字典表维护', 'tinyint', 'Long', 'maintenanceType', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 6, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (112, 12, 'remark', '备注', 'varchar(255)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'input', '', 7, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (113, 12, 'maintenance_user', '维护人', 'varchar(8)', 'String', 'maintenanceUser', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (114, 12, 'maintenance_date', '维护日期', 'date', 'Date', 'maintenanceDate', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 9, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (115, 12, 'create_by', '创建人', 'varchar(8)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 10, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (116, 12, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 11, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (117, 12, 'update_by', '更新人', 'varchar(8)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 12, 'admin', '2025-04-03 11:01:34', '', NULL);
INSERT INTO `gen_table_column` VALUES (118, 12, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 13, 'admin', '2025-04-03 11:01:34', '', NULL);

-- ----------------------------
-- Table structure for qrtz_blob_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_blob_triggers`;
CREATE TABLE `qrtz_blob_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `blob_data` blob NULL COMMENT '存放持久化Trigger对象',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_blob_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'Blob类型的触发器表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_blob_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_calendars
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_calendars`;
CREATE TABLE `qrtz_calendars`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `calendar_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '日历名称',
  `calendar` blob NOT NULL COMMENT '存放持久化calendar对象',
  PRIMARY KEY (`sched_name`, `calendar_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '日历信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_calendars
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_cron_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_cron_triggers`;
CREATE TABLE `qrtz_cron_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `cron_expression` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'cron表达式',
  `time_zone_id` varchar(80) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '时区',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_cron_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'Cron类型的触发器表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_cron_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_fired_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_fired_triggers`;
CREATE TABLE `qrtz_fired_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `entry_id` varchar(95) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度器实例id',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `instance_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度器实例名',
  `fired_time` bigint NOT NULL COMMENT '触发的时间',
  `sched_time` bigint NOT NULL COMMENT '定时器制定的时间',
  `priority` int NOT NULL COMMENT '优先级',
  `state` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '状态',
  `job_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '任务名称',
  `job_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '任务组名',
  `is_nonconcurrent` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否并发',
  `requests_recovery` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否接受恢复执行',
  PRIMARY KEY (`sched_name`, `entry_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '已触发的触发器表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_fired_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_job_details
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_job_details`;
CREATE TABLE `qrtz_job_details`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `job_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '任务名称',
  `job_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '任务组名',
  `description` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '相关介绍',
  `job_class_name` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '执行任务类名称',
  `is_durable` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '是否持久化',
  `is_nonconcurrent` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '是否并发',
  `is_update_data` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '是否更新数据',
  `requests_recovery` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '是否接受恢复执行',
  `job_data` blob NULL COMMENT '存放持久化job对象',
  PRIMARY KEY (`sched_name`, `job_name`, `job_group`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '任务详细信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_job_details
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_locks
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_locks`;
CREATE TABLE `qrtz_locks`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `lock_name` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '悲观锁名称',
  PRIMARY KEY (`sched_name`, `lock_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '存储的悲观锁信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_locks
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_paused_trigger_grps
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_paused_trigger_grps`;
CREATE TABLE `qrtz_paused_trigger_grps`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  PRIMARY KEY (`sched_name`, `trigger_group`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '暂停的触发器表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_paused_trigger_grps
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_scheduler_state
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_scheduler_state`;
CREATE TABLE `qrtz_scheduler_state`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `instance_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '实例名称',
  `last_checkin_time` bigint NOT NULL COMMENT '上次检查时间',
  `checkin_interval` bigint NOT NULL COMMENT '检查间隔时间',
  PRIMARY KEY (`sched_name`, `instance_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '调度器状态表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_scheduler_state
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_simple_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_simple_triggers`;
CREATE TABLE `qrtz_simple_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `repeat_count` bigint NOT NULL COMMENT '重复的次数统计',
  `repeat_interval` bigint NOT NULL COMMENT '重复的间隔时间',
  `times_triggered` bigint NOT NULL COMMENT '已经触发的次数',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_simple_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '简单触发器的信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_simple_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_simprop_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_simprop_triggers`;
CREATE TABLE `qrtz_simprop_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `str_prop_1` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'String类型的trigger的第一个参数',
  `str_prop_2` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'String类型的trigger的第二个参数',
  `str_prop_3` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'String类型的trigger的第三个参数',
  `int_prop_1` int NULL DEFAULT NULL COMMENT 'int类型的trigger的第一个参数',
  `int_prop_2` int NULL DEFAULT NULL COMMENT 'int类型的trigger的第二个参数',
  `long_prop_1` bigint NULL DEFAULT NULL COMMENT 'long类型的trigger的第一个参数',
  `long_prop_2` bigint NULL DEFAULT NULL COMMENT 'long类型的trigger的第二个参数',
  `dec_prop_1` decimal(13, 4) NULL DEFAULT NULL COMMENT 'decimal类型的trigger的第一个参数',
  `dec_prop_2` decimal(13, 4) NULL DEFAULT NULL COMMENT 'decimal类型的trigger的第二个参数',
  `bool_prop_1` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'Boolean类型的trigger的第一个参数',
  `bool_prop_2` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'Boolean类型的trigger的第二个参数',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_simprop_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '同步机制的行锁表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_simprop_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_triggers`;
CREATE TABLE `qrtz_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '触发器的名字',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '触发器所属组的名字',
  `job_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_job_details表job_name的外键',
  `job_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_job_details表job_group的外键',
  `description` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '相关介绍',
  `next_fire_time` bigint NULL DEFAULT NULL COMMENT '上一次触发时间（毫秒）',
  `prev_fire_time` bigint NULL DEFAULT NULL COMMENT '下一次触发时间（默认为-1表示不触发）',
  `priority` int NULL DEFAULT NULL COMMENT '优先级',
  `trigger_state` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '触发器状态',
  `trigger_type` varchar(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '触发器的类型',
  `start_time` bigint NOT NULL COMMENT '开始时间',
  `end_time` bigint NULL DEFAULT NULL COMMENT '结束时间',
  `calendar_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '日程表名称',
  `misfire_instr` smallint NULL DEFAULT NULL COMMENT '补偿执行的策略',
  `job_data` blob NULL COMMENT '存放持久化job对象',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  INDEX `sched_name`(`sched_name` ASC, `job_name` ASC, `job_group` ASC) USING BTREE,
  CONSTRAINT `qrtz_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `job_name`, `job_group`) REFERENCES `qrtz_job_details` (`sched_name`, `job_name`, `job_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '触发器详细信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for sys_config
-- ----------------------------
DROP TABLE IF EXISTS `sys_config`;
CREATE TABLE `sys_config`  (
  `config_id` int NOT NULL AUTO_INCREMENT COMMENT '参数主键',
  `config_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '参数名称',
  `config_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '参数键名',
  `config_value` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '参数键值',
  `config_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'N' COMMENT '系统内置（Y是 N否）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`config_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 100 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '参数配置表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_config
-- ----------------------------
INSERT INTO `sys_config` VALUES (1, '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 'admin', '2025-04-03 09:12:12', '', NULL, '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (2, '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 'admin', '2025-04-03 09:12:12', '', NULL, '初始化密码 123456');
INSERT INTO `sys_config` VALUES (3, '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 'admin', '2025-04-03 09:12:12', '', NULL, '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (4, '账号自助-验证码开关', 'sys.account.captchaEnabled', 'true', 'Y', 'admin', '2025-04-03 09:12:12', '', NULL, '是否开启验证码功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (5, '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'false', 'Y', 'admin', '2025-04-03 09:12:12', '', NULL, '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (6, '用户登录-黑名单列表', 'sys.login.blackIPList', '', 'Y', 'admin', '2025-04-03 09:12:12', '', NULL, '设置登录IP黑名单限制，多个匹配项以;分隔，支持匹配（*通配、网段）');

-- ----------------------------
-- Table structure for sys_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_dept`;
CREATE TABLE `sys_dept`  (
  `dept_id` bigint NOT NULL AUTO_INCREMENT COMMENT '部门id',
  `parent_id` bigint NULL DEFAULT 0 COMMENT '父部门id',
  `ancestors` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '祖级列表',
  `dept_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '部门名称',
  `order_num` int NULL DEFAULT 0 COMMENT '显示顺序',
  `leader` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '负责人',
  `phone` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '联系电话',
  `email` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '邮箱',
  `address` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地址',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '部门状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`dept_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 209 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '部门表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dept
-- ----------------------------
INSERT INTO `sys_dept` VALUES (100, 0, '0', '天工智造科技有限公司', 0, '系统管理员', '13030030030', 'tgzzkjyxgs@126.com', NULL, '0', '0', 'admin', '2025-04-03 09:12:11', 'admin', '2025-04-03 09:33:18');
INSERT INTO `sys_dept` VALUES (101, 100, '0,100', '天津中海油', 1, '若依', '15888888888', 'ry@qq.com', NULL, '0', '0', 'admin', '2025-04-03 09:12:11', '', NULL);
INSERT INTO `sys_dept` VALUES (102, 100, '0,100', '京东集团', 2, '若依', '15888888888', 'ry@qq.com', NULL, '0', '0', 'admin', '2025-04-03 09:12:11', '', NULL);
INSERT INTO `sys_dept` VALUES (103, 101, '0,100,101', '研发部门', 1, '若依', '15888888888', 'ry@qq.com', NULL, '0', '0', 'admin', '2025-04-03 09:12:11', '', NULL);
INSERT INTO `sys_dept` VALUES (104, 101, '0,100,101', '市场部门', 2, '若依', '15888888888', 'ry@qq.com', NULL, '0', '0', 'admin', '2025-04-03 09:12:11', '', NULL);
INSERT INTO `sys_dept` VALUES (105, 101, '0,100,101', '测试部门', 3, '若依', '15888888888', 'ry@qq.com', NULL, '0', '0', 'admin', '2025-04-03 09:12:11', '', NULL);
INSERT INTO `sys_dept` VALUES (106, 101, '0,100,101', '财务部门', 4, '若依', '15888888888', 'ry@qq.com', NULL, '0', '0', 'admin', '2025-04-03 09:12:11', '', NULL);
INSERT INTO `sys_dept` VALUES (107, 101, '0,100,101', '运维部门', 5, '若依', '15888888888', 'ry@qq.com', NULL, '0', '0', 'admin', '2025-04-03 09:12:11', '', NULL);
INSERT INTO `sys_dept` VALUES (108, 102, '0,100,102', '市场部门', 1, '若依', '15888888888', 'ry@qq.com', NULL, '0', '0', 'admin', '2025-04-03 09:12:11', '', NULL);
INSERT INTO `sys_dept` VALUES (109, 102, '0,100,102', '财务部门', 2, '若依', '15888888888', 'ry@qq.com', NULL, '0', '0', 'admin', '2025-04-03 09:12:11', '', NULL);
INSERT INTO `sys_dept` VALUES (200, 100, '0,100', '联想集团', 0, '杨帆1', '13534563356', NULL, '天津市东丽区空港经济区E1', '0', '0', 'admin', '2025-04-08 19:16:06', '', NULL);
INSERT INTO `sys_dept` VALUES (201, 200, '0,100,200', '运维部', 0, NULL, NULL, NULL, NULL, '0', '0', 'admin', '2025-04-08 19:16:06', '', NULL);
INSERT INTO `sys_dept` VALUES (202, 200, '0,100,200', '研发部', 0, NULL, NULL, NULL, NULL, '0', '0', 'admin', '2025-04-08 19:16:06', '', NULL);
INSERT INTO `sys_dept` VALUES (203, 100, '0,100', '天津航空易思维', 0, '王斌', '15288776767', NULL, '天津市东丽区福利温莎堡', '0', '0', 'admin', '2025-04-08 19:17:24', '', NULL);
INSERT INTO `sys_dept` VALUES (204, 203, '0,100,203', '运维部', 0, NULL, NULL, NULL, NULL, '0', '0', 'admin', '2025-04-08 19:17:24', '', NULL);
INSERT INTO `sys_dept` VALUES (205, 203, '0,100,203', '研发部', 0, NULL, NULL, NULL, NULL, '0', '0', 'admin', '2025-04-08 19:17:24', '', NULL);
INSERT INTO `sys_dept` VALUES (206, 100, '0,100', '神州商龙', 0, '李瑟', '15288776767', NULL, '天津市西青区2303', '0', '0', 'admin', '2025-04-08 19:18:32', '', NULL);
INSERT INTO `sys_dept` VALUES (207, 206, '0,100,206', '运维部', 0, NULL, NULL, NULL, NULL, '0', '0', 'admin', '2025-04-08 19:18:33', '', NULL);
INSERT INTO `sys_dept` VALUES (208, 206, '0,100,206', '研发部', 0, NULL, NULL, NULL, NULL, '0', '0', 'admin', '2025-04-08 19:18:33', '', NULL);

-- ----------------------------
-- Table structure for sys_dict_data
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_data`;
CREATE TABLE `sys_dict_data`  (
  `dict_code` bigint NOT NULL AUTO_INCREMENT COMMENT '字典编码',
  `dict_sort` int NULL DEFAULT 0 COMMENT '字典排序',
  `dict_label` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典标签',
  `dict_value` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典键值',
  `dict_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典类型',
  `css_class` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '样式属性（其他样式扩展）',
  `list_class` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '表格回显样式',
  `is_default` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'N' COMMENT '是否默认（Y是 N否）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_code`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 100 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '字典数据表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dict_data
-- ----------------------------
INSERT INTO `sys_dict_data` VALUES (1, 1, '男', '0', 'sys_user_sex', '', '', 'Y', '0', 'admin', '2025-04-03 09:12:11', '', NULL, '性别男');
INSERT INTO `sys_dict_data` VALUES (2, 2, '女', '1', 'sys_user_sex', '', '', 'N', '0', 'admin', '2025-04-03 09:12:11', '', NULL, '性别女');
INSERT INTO `sys_dict_data` VALUES (3, 3, '未知', '2', 'sys_user_sex', '', '', 'N', '0', 'admin', '2025-04-03 09:12:11', '', NULL, '性别未知');
INSERT INTO `sys_dict_data` VALUES (4, 1, '显示', '0', 'sys_show_hide', '', 'primary', 'Y', '0', 'admin', '2025-04-03 09:12:11', '', NULL, '显示菜单');
INSERT INTO `sys_dict_data` VALUES (5, 2, '隐藏', '1', 'sys_show_hide', '', 'danger', 'N', '0', 'admin', '2025-04-03 09:12:11', '', NULL, '隐藏菜单');
INSERT INTO `sys_dict_data` VALUES (6, 1, '正常', '0', 'sys_normal_disable', '', 'primary', 'Y', '0', 'admin', '2025-04-03 09:12:11', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (7, 2, '停用', '1', 'sys_normal_disable', '', 'danger', 'N', '0', 'admin', '2025-04-03 09:12:11', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (8, 1, '正常', '0', 'sys_job_status', '', 'primary', 'Y', '0', 'admin', '2025-04-03 09:12:12', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (9, 2, '暂停', '1', 'sys_job_status', '', 'danger', 'N', '0', 'admin', '2025-04-03 09:12:12', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (10, 1, '默认', 'DEFAULT', 'sys_job_group', '', '', 'Y', '0', 'admin', '2025-04-03 09:12:12', '', NULL, '默认分组');
INSERT INTO `sys_dict_data` VALUES (11, 2, '系统', 'SYSTEM', 'sys_job_group', '', '', 'N', '0', 'admin', '2025-04-03 09:12:12', '', NULL, '系统分组');
INSERT INTO `sys_dict_data` VALUES (12, 1, '是', 'Y', 'sys_yes_no', '', 'primary', 'Y', '0', 'admin', '2025-04-03 09:12:12', '', NULL, '系统默认是');
INSERT INTO `sys_dict_data` VALUES (13, 2, '否', 'N', 'sys_yes_no', '', 'danger', 'N', '0', 'admin', '2025-04-03 09:12:12', '', NULL, '系统默认否');
INSERT INTO `sys_dict_data` VALUES (14, 1, '通知', '1', 'sys_notice_type', '', 'warning', 'Y', '0', 'admin', '2025-04-03 09:12:12', '', NULL, '通知');
INSERT INTO `sys_dict_data` VALUES (15, 2, '公告', '2', 'sys_notice_type', '', 'success', 'N', '0', 'admin', '2025-04-03 09:12:12', '', NULL, '公告');
INSERT INTO `sys_dict_data` VALUES (16, 1, '正常', '0', 'sys_notice_status', '', 'primary', 'Y', '0', 'admin', '2025-04-03 09:12:12', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (17, 2, '关闭', '1', 'sys_notice_status', '', 'danger', 'N', '0', 'admin', '2025-04-03 09:12:12', '', NULL, '关闭状态');
INSERT INTO `sys_dict_data` VALUES (18, 99, '其他', '0', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2025-04-03 09:12:12', '', NULL, '其他操作');
INSERT INTO `sys_dict_data` VALUES (19, 1, '新增', '1', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2025-04-03 09:12:12', '', NULL, '新增操作');
INSERT INTO `sys_dict_data` VALUES (20, 2, '修改', '2', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2025-04-03 09:12:12', '', NULL, '修改操作');
INSERT INTO `sys_dict_data` VALUES (21, 3, '删除', '3', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2025-04-03 09:12:12', '', NULL, '删除操作');
INSERT INTO `sys_dict_data` VALUES (22, 4, '授权', '4', 'sys_oper_type', '', 'primary', 'N', '0', 'admin', '2025-04-03 09:12:12', '', NULL, '授权操作');
INSERT INTO `sys_dict_data` VALUES (23, 5, '导出', '5', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2025-04-03 09:12:12', '', NULL, '导出操作');
INSERT INTO `sys_dict_data` VALUES (24, 6, '导入', '6', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2025-04-03 09:12:12', '', NULL, '导入操作');
INSERT INTO `sys_dict_data` VALUES (25, 7, '强退', '7', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2025-04-03 09:12:12', '', NULL, '强退操作');
INSERT INTO `sys_dict_data` VALUES (26, 8, '生成代码', '8', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2025-04-03 09:12:12', '', NULL, '生成操作');
INSERT INTO `sys_dict_data` VALUES (27, 9, '清空数据', '9', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2025-04-03 09:12:12', '', NULL, '清空操作');
INSERT INTO `sys_dict_data` VALUES (28, 1, '成功', '0', 'sys_common_status', '', 'primary', 'N', '0', 'admin', '2025-04-03 09:12:12', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (29, 2, '失败', '1', 'sys_common_status', '', 'danger', 'N', '0', 'admin', '2025-04-03 09:12:12', '', NULL, '停用状态');

-- ----------------------------
-- Table structure for sys_dict_type
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_type`;
CREATE TABLE `sys_dict_type`  (
  `dict_id` bigint NOT NULL AUTO_INCREMENT COMMENT '字典主键',
  `dict_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典名称',
  `dict_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典类型',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_id`) USING BTREE,
  UNIQUE INDEX `dict_type`(`dict_type` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 100 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '字典类型表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dict_type
-- ----------------------------
INSERT INTO `sys_dict_type` VALUES (1, '用户性别', 'sys_user_sex', '0', 'admin', '2025-04-03 09:12:11', '', NULL, '用户性别列表');
INSERT INTO `sys_dict_type` VALUES (2, '菜单状态', 'sys_show_hide', '0', 'admin', '2025-04-03 09:12:11', '', NULL, '菜单状态列表');
INSERT INTO `sys_dict_type` VALUES (3, '系统开关', 'sys_normal_disable', '0', 'admin', '2025-04-03 09:12:11', '', NULL, '系统开关列表');
INSERT INTO `sys_dict_type` VALUES (4, '任务状态', 'sys_job_status', '0', 'admin', '2025-04-03 09:12:11', '', NULL, '任务状态列表');
INSERT INTO `sys_dict_type` VALUES (5, '任务分组', 'sys_job_group', '0', 'admin', '2025-04-03 09:12:11', '', NULL, '任务分组列表');
INSERT INTO `sys_dict_type` VALUES (6, '系统是否', 'sys_yes_no', '0', 'admin', '2025-04-03 09:12:11', '', NULL, '系统是否列表');
INSERT INTO `sys_dict_type` VALUES (7, '通知类型', 'sys_notice_type', '0', 'admin', '2025-04-03 09:12:11', '', NULL, '通知类型列表');
INSERT INTO `sys_dict_type` VALUES (8, '通知状态', 'sys_notice_status', '0', 'admin', '2025-04-03 09:12:11', '', NULL, '通知状态列表');
INSERT INTO `sys_dict_type` VALUES (9, '操作类型', 'sys_oper_type', '0', 'admin', '2025-04-03 09:12:11', '', NULL, '操作类型列表');
INSERT INTO `sys_dict_type` VALUES (10, '系统状态', 'sys_common_status', '0', 'admin', '2025-04-03 09:12:11', '', NULL, '登录状态列表');

-- ----------------------------
-- Table structure for sys_job
-- ----------------------------
DROP TABLE IF EXISTS `sys_job`;
CREATE TABLE `sys_job`  (
  `job_id` bigint NOT NULL AUTO_INCREMENT COMMENT '任务ID',
  `job_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '任务名称',
  `job_group` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT 'DEFAULT' COMMENT '任务组名',
  `invoke_target` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调用目标字符串',
  `cron_expression` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT 'cron执行表达式',
  `misfire_policy` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '3' COMMENT '计划执行错误策略（1立即执行 2执行一次 3放弃执行）',
  `concurrent` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '1' COMMENT '是否并发执行（0允许 1禁止）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '状态（0正常 1暂停）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '备注信息',
  PRIMARY KEY (`job_id`, `job_name`, `job_group`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 101 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '定时任务调度表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_job
-- ----------------------------
INSERT INTO `sys_job` VALUES (1, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams', '0/10 * * * * ?', '3', '1', '1', 'admin', '2025-04-03 09:12:12', '', NULL, '');
INSERT INTO `sys_job` VALUES (2, '系统默认（有参）', 'DEFAULT', 'ryTask.ryParams(\'ry\')', '0/15 * * * * ?', '3', '1', '1', 'admin', '2025-04-03 09:12:12', '', NULL, '');
INSERT INTO `sys_job` VALUES (3, '系统默认（多参）', 'DEFAULT', 'ryTask.ryMultipleParams(\'ry\', true, 2000L, 316.50D, 100)', '0/20 * * * * ?', '3', '1', '1', 'admin', '2025-04-03 09:12:12', '', NULL, '');
INSERT INTO `sys_job` VALUES (100, 'testTask', 'SYSTEM', 'testTask.runLog(\"hello\")', '0-10 * * * * ?', '2', '0', '1', 'admin', '2025-04-10 09:23:07', '', NULL, '');

-- ----------------------------
-- Table structure for sys_job_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_job_log`;
CREATE TABLE `sys_job_log`  (
  `job_log_id` bigint NOT NULL AUTO_INCREMENT COMMENT '任务日志ID',
  `job_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '任务名称',
  `job_group` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '任务组名',
  `invoke_target` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调用目标字符串',
  `job_message` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '日志信息',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '执行状态（0正常 1失败）',
  `exception_info` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '异常信息',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`job_log_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '定时任务调度日志表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_job_log
-- ----------------------------

-- ----------------------------
-- Table structure for sys_logininfor
-- ----------------------------
DROP TABLE IF EXISTS `sys_logininfor`;
CREATE TABLE `sys_logininfor`  (
  `info_id` bigint NOT NULL AUTO_INCREMENT COMMENT '访问ID',
  `user_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '用户账号',
  `ipaddr` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '登录IP地址',
  `login_location` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '登录地点',
  `browser` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '浏览器类型',
  `os` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '操作系统',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '登录状态（0成功 1失败）',
  `msg` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '提示消息',
  `login_time` datetime NULL DEFAULT NULL COMMENT '访问时间',
  PRIMARY KEY (`info_id`) USING BTREE,
  INDEX `idx_sys_logininfor_s`(`status` ASC) USING BTREE,
  INDEX `idx_sys_logininfor_lt`(`login_time` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 115 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '系统访问记录' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_logininfor
-- ----------------------------
INSERT INTO `sys_logininfor` VALUES (100, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-04-03 10:32:02');
INSERT INTO `sys_logininfor` VALUES (101, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-04-03 10:57:01');
INSERT INTO `sys_logininfor` VALUES (102, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-04-03 11:15:32');
INSERT INTO `sys_logininfor` VALUES (103, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-04-03 13:23:53');
INSERT INTO `sys_logininfor` VALUES (104, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-04-03 14:25:03');
INSERT INTO `sys_logininfor` VALUES (105, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '验证码已失效', '2025-04-03 14:27:18');
INSERT INTO `sys_logininfor` VALUES (106, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-04-03 14:27:22');
INSERT INTO `sys_logininfor` VALUES (107, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-04-03 17:21:51');
INSERT INTO `sys_logininfor` VALUES (108, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-04-08 18:50:37');
INSERT INTO `sys_logininfor` VALUES (109, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-04-09 13:22:41');
INSERT INTO `sys_logininfor` VALUES (110, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-04-09 14:11:22');
INSERT INTO `sys_logininfor` VALUES (111, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-04-09 15:07:10');
INSERT INTO `sys_logininfor` VALUES (112, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-04-09 15:47:31');
INSERT INTO `sys_logininfor` VALUES (113, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-04-09 19:50:46');
INSERT INTO `sys_logininfor` VALUES (114, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-04-10 09:19:14');

-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu`;
CREATE TABLE `sys_menu`  (
  `menu_id` bigint NOT NULL AUTO_INCREMENT COMMENT '菜单ID',
  `menu_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '菜单名称',
  `parent_id` bigint NULL DEFAULT 0 COMMENT '父菜单ID',
  `order_num` int NULL DEFAULT 0 COMMENT '显示顺序',
  `path` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '路由地址',
  `component` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '组件路径',
  `query` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '路由参数',
  `route_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '路由名称',
  `is_frame` int NULL DEFAULT 1 COMMENT '是否为外链（0是 1否）',
  `is_cache` int NULL DEFAULT 0 COMMENT '是否缓存（0缓存 1不缓存）',
  `menu_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '菜单类型（M目录 C菜单 F按钮）',
  `visible` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '菜单状态（0显示 1隐藏）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '菜单状态（0正常 1停用）',
  `perms` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '权限标识',
  `icon` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '#' COMMENT '菜单图标',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`menu_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2030 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '菜单权限表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_menu
-- ----------------------------
INSERT INTO `sys_menu` VALUES (1, '系统管理', 0, 2, 'system', NULL, '', '', 1, 0, 'M', '0', '0', '', 'system', 'admin', '2025-04-03 09:12:11', '', NULL, '系统管理目录');
INSERT INTO `sys_menu` VALUES (2, '系统监控', 0, 3, 'monitor', NULL, '', '', 1, 0, 'M', '0', '0', '', 'monitor', 'admin', '2025-04-03 09:12:11', '', NULL, '系统监控目录');
INSERT INTO `sys_menu` VALUES (3, '系统工具', 0, 4, 'tool', NULL, '', '', 1, 0, 'M', '0', '0', '', 'tool', 'admin', '2025-04-03 09:12:11', '', NULL, '系统工具目录');
INSERT INTO `sys_menu` VALUES (4, 'TIANGONGIX', 0, 1, 'tg', NULL, '', '', 1, 0, 'M', '0', '0', '', 'guide', 'admin', '2025-04-03 09:12:11', '', NULL, '天宫系统业务目录');
INSERT INTO `sys_menu` VALUES (100, '用户管理', 1, 1, 'user', 'system/user/index', '', '', 1, 0, 'C', '0', '0', 'system:user:list', 'user', 'admin', '2025-04-03 09:12:11', '', NULL, '用户管理菜单');
INSERT INTO `sys_menu` VALUES (101, '角色管理', 1, 2, 'role', 'system/role/index', '', '', 1, 0, 'C', '0', '0', 'system:role:list', 'peoples', 'admin', '2025-04-03 09:12:11', '', NULL, '角色管理菜单');
INSERT INTO `sys_menu` VALUES (102, '菜单管理', 1, 3, 'menu', 'system/menu/index', '', '', 1, 0, 'C', '0', '0', 'system:menu:list', 'tree-table', 'admin', '2025-04-03 09:12:11', '', NULL, '菜单管理菜单');
INSERT INTO `sys_menu` VALUES (103, '部门管理', 1, 4, 'dept', 'system/dept/index', '', '', 1, 0, 'C', '0', '0', 'system:dept:list', 'tree', 'admin', '2025-04-03 09:12:11', '', NULL, '部门管理菜单');
INSERT INTO `sys_menu` VALUES (104, '岗位管理', 1, 5, 'post', 'system/post/index', '', '', 1, 0, 'C', '0', '0', 'system:post:list', 'post', 'admin', '2025-04-03 09:12:11', '', NULL, '岗位管理菜单');
INSERT INTO `sys_menu` VALUES (105, '字典管理', 1, 6, 'dict', 'system/dict/index', '', '', 1, 0, 'C', '0', '0', 'system:dict:list', 'dict', 'admin', '2025-04-03 09:12:11', '', NULL, '字典管理菜单');
INSERT INTO `sys_menu` VALUES (106, '参数设置', 1, 7, 'config', 'system/config/index', '', '', 1, 0, 'C', '0', '0', 'system:config:list', 'edit', 'admin', '2025-04-03 09:12:11', '', NULL, '参数设置菜单');
INSERT INTO `sys_menu` VALUES (107, '通知公告', 1, 8, 'notice', 'system/notice/index', '', '', 1, 0, 'C', '0', '0', 'system:notice:list', 'message', 'admin', '2025-04-03 09:12:11', '', NULL, '通知公告菜单');
INSERT INTO `sys_menu` VALUES (108, '日志管理', 1, 9, 'log', '', '', '', 1, 0, 'M', '0', '0', '', 'log', 'admin', '2025-04-03 09:12:11', '', NULL, '日志管理菜单');
INSERT INTO `sys_menu` VALUES (109, '在线用户', 2, 1, 'online', 'monitor/online/index', '', '', 1, 0, 'C', '0', '0', 'monitor:online:list', 'online', 'admin', '2025-04-03 09:12:11', '', NULL, '在线用户菜单');
INSERT INTO `sys_menu` VALUES (110, '定时任务', 2, 2, 'job', 'monitor/job/index', '', '', 1, 0, 'C', '0', '0', 'monitor:job:list', 'job', 'admin', '2025-04-03 09:12:11', '', NULL, '定时任务菜单');
INSERT INTO `sys_menu` VALUES (111, '数据监控', 2, 3, 'druid', 'monitor/druid/index', '', '', 1, 0, 'C', '0', '0', 'monitor:druid:list', 'druid', 'admin', '2025-04-03 09:12:11', '', NULL, '数据监控菜单');
INSERT INTO `sys_menu` VALUES (112, '服务监控', 2, 4, 'server', 'monitor/server/index', '', '', 1, 0, 'C', '0', '0', 'monitor:server:list', 'server', 'admin', '2025-04-03 09:12:11', '', NULL, '服务监控菜单');
INSERT INTO `sys_menu` VALUES (113, '缓存监控', 2, 5, 'cache', 'monitor/cache/index', '', '', 1, 0, 'C', '0', '0', 'monitor:cache:list', 'redis', 'admin', '2025-04-03 09:12:11', '', NULL, '缓存监控菜单');
INSERT INTO `sys_menu` VALUES (114, '缓存列表', 2, 6, 'cacheList', 'monitor/cache/list', '', '', 1, 0, 'C', '0', '0', 'monitor:cache:list', 'redis-list', 'admin', '2025-04-03 09:12:11', '', NULL, '缓存列表菜单');
INSERT INTO `sys_menu` VALUES (115, '表单构建', 3, 1, 'build', 'tool/build/index', '', '', 1, 0, 'C', '0', '0', 'tool:build:list', 'build', 'admin', '2025-04-03 09:12:11', '', NULL, '表单构建菜单');
INSERT INTO `sys_menu` VALUES (116, '代码生成', 3, 2, 'gen', 'tool/gen/index', '', '', 1, 0, 'C', '0', '0', 'tool:gen:list', 'code', 'admin', '2025-04-03 09:12:11', '', NULL, '代码生成菜单');
INSERT INTO `sys_menu` VALUES (117, '系统接口', 3, 3, 'swagger', 'tool/swagger/index', '', '', 1, 0, 'C', '0', '0', 'tool:swagger:list', 'swagger', 'admin', '2025-04-03 09:12:11', '', NULL, '系统接口菜单');
INSERT INTO `sys_menu` VALUES (500, '操作日志', 108, 1, 'operlog', 'monitor/operlog/index', '', '', 1, 0, 'C', '0', '0', 'monitor:operlog:list', 'form', 'admin', '2025-04-03 09:12:11', '', NULL, '操作日志菜单');
INSERT INTO `sys_menu` VALUES (501, '登录日志', 108, 2, 'logininfor', 'monitor/logininfor/index', '', '', 1, 0, 'C', '0', '0', 'monitor:logininfor:list', 'logininfor', 'admin', '2025-04-03 09:12:11', '', NULL, '登录日志菜单');
INSERT INTO `sys_menu` VALUES (1000, '用户查询', 100, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:query', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1001, '用户新增', 100, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:add', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1002, '用户修改', 100, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:edit', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1003, '用户删除', 100, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:remove', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1004, '用户导出', 100, 5, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:export', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1005, '用户导入', 100, 6, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:import', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1006, '重置密码', 100, 7, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:resetPwd', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1007, '角色查询', 101, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:query', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1008, '角色新增', 101, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:add', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1009, '角色修改', 101, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:edit', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1010, '角色删除', 101, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:remove', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1011, '角色导出', 101, 5, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:export', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1012, '菜单查询', 102, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:menu:query', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1013, '菜单新增', 102, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:menu:add', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1014, '菜单修改', 102, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:menu:edit', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1015, '菜单删除', 102, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:menu:remove', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1016, '部门查询', 103, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:dept:query', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1017, '部门新增', 103, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:dept:add', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1018, '部门修改', 103, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:dept:edit', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1019, '部门删除', 103, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:dept:remove', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1020, '岗位查询', 104, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:query', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1021, '岗位新增', 104, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:add', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1022, '岗位修改', 104, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:edit', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1023, '岗位删除', 104, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:remove', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1024, '岗位导出', 104, 5, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:export', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1025, '字典查询', 105, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:query', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1026, '字典新增', 105, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:add', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1027, '字典修改', 105, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:edit', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1028, '字典删除', 105, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:remove', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1029, '字典导出', 105, 5, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:export', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1030, '参数查询', 106, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:query', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1031, '参数新增', 106, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:add', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1032, '参数修改', 106, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:edit', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1033, '参数删除', 106, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:remove', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1034, '参数导出', 106, 5, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:export', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1035, '公告查询', 107, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:notice:query', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1036, '公告新增', 107, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:notice:add', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1037, '公告修改', 107, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:notice:edit', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1038, '公告删除', 107, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:notice:remove', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1039, '操作查询', 500, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:query', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1040, '操作删除', 500, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:remove', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1041, '日志导出', 500, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:export', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1042, '登录查询', 501, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:query', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1043, '登录删除', 501, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:remove', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1044, '日志导出', 501, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:export', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1045, '账户解锁', 501, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:unlock', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1046, '在线查询', 109, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:online:query', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1047, '批量强退', 109, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:online:batchLogout', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1048, '单条强退', 109, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:online:forceLogout', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1049, '任务查询', 110, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:query', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1050, '任务新增', 110, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:add', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1051, '任务修改', 110, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:edit', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1052, '任务删除', 110, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:remove', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1053, '状态修改', 110, 5, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:changeStatus', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1054, '任务导出', 110, 6, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:export', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1055, '生成查询', 116, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:query', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1056, '生成修改', 116, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:edit', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1057, '生成删除', 116, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:remove', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1058, '导入代码', 116, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:import', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1059, '预览代码', 116, 5, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:preview', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1060, '生成代码', 116, 6, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:code', '#', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2000, '设备信息', 3, 1, 'info', 'web/info/index', NULL, '', 1, 0, 'C', '0', '0', 'web:info:list', '#', 'admin', '2025-04-03 11:13:56', '', NULL, '设备信息菜单');
INSERT INTO `sys_menu` VALUES (2001, '设备信息查询', 2000, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'web:info:query', '#', 'admin', '2025-04-03 11:13:56', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2002, '设备信息新增', 2000, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'web:info:add', '#', 'admin', '2025-04-03 11:13:56', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2003, '设备信息修改', 2000, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'web:info:edit', '#', 'admin', '2025-04-03 11:13:56', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2004, '设备信息删除', 2000, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'web:info:remove', '#', 'admin', '2025-04-03 11:13:56', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2005, '设备信息导出', 2000, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'web:info:export', '#', 'admin', '2025-04-03 11:13:56', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2006, '设备型号', 3, 1, 'model', 'web/model/index', NULL, '', 1, 0, 'C', '0', '0', 'web:model:list', '#', 'admin', '2025-04-03 11:14:13', '', NULL, '设备型号菜单');
INSERT INTO `sys_menu` VALUES (2007, '设备型号查询', 2006, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'web:model:query', '#', 'admin', '2025-04-03 11:14:13', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2008, '设备型号新增', 2006, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'web:model:add', '#', 'admin', '2025-04-03 11:14:13', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2009, '设备型号修改', 2006, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'web:model:edit', '#', 'admin', '2025-04-03 11:14:13', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2010, '设备型号删除', 2006, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'web:model:remove', '#', 'admin', '2025-04-03 11:14:13', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2011, '设备型号导出', 2006, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'web:model:export', '#', 'admin', '2025-04-03 11:14:13', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2012, '设备维保记录', 3, 1, 'record', 'web/record/index', NULL, '', 1, 0, 'C', '0', '0', 'web:record:list', '#', 'admin', '2025-04-03 11:14:26', '', NULL, '设备维保记录菜单');
INSERT INTO `sys_menu` VALUES (2013, '设备维保记录查询', 2012, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'web:record:query', '#', 'admin', '2025-04-03 11:14:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2014, '设备维保记录新增', 2012, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'web:record:add', '#', 'admin', '2025-04-03 11:14:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2015, '设备维保记录修改', 2012, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'web:record:edit', '#', 'admin', '2025-04-03 11:14:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2016, '设备维保记录删除', 2012, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'web:record:remove', '#', 'admin', '2025-04-03 11:14:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2017, '设备维保记录导出', 2012, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'web:record:export', '#', 'admin', '2025-04-03 11:14:26', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2018, '客户用户关联信息', 3, 1, 'rel', 'web/rel/index', NULL, '', 1, 0, 'C', '0', '0', 'web:rel:list', '#', 'admin', '2025-04-03 11:14:40', '', NULL, '客户用户关联信息菜单');
INSERT INTO `sys_menu` VALUES (2019, '客户用户关联信息查询', 2018, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'web:rel:query', '#', 'admin', '2025-04-03 11:14:40', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2020, '客户用户关联信息新增', 2018, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'web:rel:add', '#', 'admin', '2025-04-03 11:14:40', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2021, '客户用户关联信息修改', 2018, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'web:rel:edit', '#', 'admin', '2025-04-03 11:14:40', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2022, '客户用户关联信息删除', 2018, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'web:rel:remove', '#', 'admin', '2025-04-03 11:14:40', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2023, '客户用户关联信息导出', 2018, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'web:rel:export', '#', 'admin', '2025-04-03 11:14:40', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2024, '设备指标阈值信息', 3, 1, 'threshold', 'web/threshold/index', NULL, '', 1, 0, 'C', '0', '0', 'web:threshold:list', '#', 'admin', '2025-04-03 11:14:51', '', NULL, '设备指标阈值信息菜单');
INSERT INTO `sys_menu` VALUES (2025, '设备指标阈值信息查询', 2024, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'web:threshold:query', '#', 'admin', '2025-04-03 11:14:51', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2026, '设备指标阈值信息新增', 2024, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'web:threshold:add', '#', 'admin', '2025-04-03 11:14:51', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2027, '设备指标阈值信息修改', 2024, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'web:threshold:edit', '#', 'admin', '2025-04-03 11:14:51', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2028, '设备指标阈值信息删除', 2024, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'web:threshold:remove', '#', 'admin', '2025-04-03 11:14:51', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2029, '设备指标阈值信息导出', 2024, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'web:threshold:export', '#', 'admin', '2025-04-03 11:14:51', '', NULL, '');

-- ----------------------------
-- Table structure for sys_notice
-- ----------------------------
DROP TABLE IF EXISTS `sys_notice`;
CREATE TABLE `sys_notice`  (
  `notice_id` int NOT NULL AUTO_INCREMENT COMMENT '公告ID',
  `notice_title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '公告标题',
  `notice_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '公告类型（1通知 2公告）',
  `notice_content` longblob NULL COMMENT '公告内容',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '公告状态（0正常 1关闭）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`notice_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 10 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '通知公告表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_notice
-- ----------------------------
INSERT INTO `sys_notice` VALUES (1, '温馨提醒：2018-07-01 若依新版本发布啦', '2', 0xE696B0E78988E69CACE58685E5AEB9, '0', 'admin', '2025-04-03 09:12:12', '', NULL, '管理员');
INSERT INTO `sys_notice` VALUES (2, '维护通知：2018-07-01 若依系统凌晨维护', '1', 0xE7BBB4E68AA4E58685E5AEB9, '0', 'admin', '2025-04-03 09:12:12', '', NULL, '管理员');

-- ----------------------------
-- Table structure for sys_oper_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_oper_log`;
CREATE TABLE `sys_oper_log`  (
  `oper_id` bigint NOT NULL AUTO_INCREMENT COMMENT '日志主键',
  `title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '模块标题',
  `business_type` int NULL DEFAULT 0 COMMENT '业务类型（0其它 1新增 2修改 3删除）',
  `method` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '方法名称',
  `request_method` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '请求方式',
  `operator_type` int NULL DEFAULT 0 COMMENT '操作类别（0其它 1后台用户 2手机端用户）',
  `oper_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '操作人员',
  `dept_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '部门名称',
  `oper_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '请求URL',
  `oper_ip` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '主机地址',
  `oper_location` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '操作地点',
  `oper_param` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '请求参数',
  `json_result` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '返回参数',
  `status` int NULL DEFAULT 0 COMMENT '操作状态（0正常 1异常）',
  `error_msg` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '错误消息',
  `oper_time` datetime NULL DEFAULT NULL COMMENT '操作时间',
  `cost_time` bigint NULL DEFAULT 0 COMMENT '消耗时间',
  PRIMARY KEY (`oper_id`) USING BTREE,
  INDEX `idx_sys_oper_log_bt`(`business_type` ASC) USING BTREE,
  INDEX `idx_sys_oper_log_s`(`status` ASC) USING BTREE,
  INDEX `idx_sys_oper_log_ot`(`oper_time` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 149 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '操作日志记录' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_oper_log
-- ----------------------------
INSERT INTO `sys_oper_log` VALUES (100, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/dept', '127.0.0.1', '内网IP', '{\"ancestors\":\"0\",\"children\":[],\"deptId\":100,\"deptName\":\"天工智造科技有限公司\",\"email\":\"tgzzkjyxgs@126.com\",\"leader\":\"系统管理员\",\"orderNum\":0,\"params\":{},\"parentId\":0,\"phone\":\"13030030030\",\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-04-03 09:33:18', 25);
INSERT INTO `sys_oper_log` VALUES (101, '创建表', 0, 'com.ruoyi.generator.controller.GenController.createTableSave()', 'POST', 1, 'admin', '研发部门', '/tool/gen/createTable', '127.0.0.1', '内网IP', '{\"sql\":\"CREATE TABLE `tg_customer_user_rel` (\\n  `id` int unsigned NOT NULL AUTO_INCREMENT COMMENT \'客户 - 用户 关联表 id\',\\n  `customer_id` bigint DEFAULT NULL COMMENT \'客户id\',\\n  `user_id` bigint DEFAULT NULL COMMENT \'用户id\',\\n  `customer_name` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT \'客户昵称(辅助参考)\',\\n  `user_name` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT \'用户昵称(辅助参考)\',\\n  PRIMARY KEY (`id`)\\n) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT=\'客户 - 用户 关联表\';\\nCREATE TABLE `tg_device_info` (\\n  `id` int unsigned NOT NULL AUTO_INCREMENT COMMENT \'设备信息表-主键\',\\n  `device_name` varchar(128) COLLATE utf8mb4_general_ci NOT NULL COMMENT \'设备名称\',\\n  `device_model` varchar(32) COLLATE utf8mb4_general_ci NOT NULL COMMENT \'设备型号\',\\n  `device_code` varchar(32) COLLATE utf8mb4_general_ci NOT NULL COMMENT \'设备编码\',\\n  `customer_id` bigint NOT NULL COMMENT \'客户id\',\\n  `lifespan` double DEFAULT NULL COMMENT \'耗材寿命(h)\',\\n  `userd_time` double DEFAULT NULL COMMENT \'已使用时长(h)\',\\n  `device_status` tinyint DEFAULT NULL COMMENT \'设备状态\',\\n  `service_status` tinyint DEFAULT NULL COMMENT \'服务状态\',\\n  `create_by` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT \'创建人\',\\n  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT \'创建时间\',\\n  `update_by` varchar(32) COLLATE utf8mb4_general_ci DEFAULT \'\' COMMENT \'更新人\',\\n  `update_time` datetime NOT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT \'更新时间\',\\n  PRIMARY KEY (`id`)\\n) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT=\'设备信息\';\\nCREATE TABLE `tg_device_model` (\\n  `id` int unsigned NOT NULL AUTO_INCREMENT COMMENT \'设备型号id\',\\n  `device_code` varchar(32) COLLATE utf8mb4_general_ci NOT NULL COMMENT \'设备型号\',\\n  `device_pic` varchar(255) COLLATE utf8mb4_general_ci NOT NULL COMMENT \'设备图片\',\\n  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT \'创建人\',\\n  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT \'更新人\'', '{\"msg\":\"创建表结构异常\",\"code\":500}', 0, NULL, '2025-04-03 10:38:11', 11);
INSERT INTO `sys_oper_log` VALUES (102, '创建表', 0, 'com.ruoyi.generator.controller.GenController.createTableSave()', 'POST', 1, 'admin', '研发部门', '/tool/gen/createTable', '127.0.0.1', '内网IP', '{\"sql\":\"CREATE TABLE `tg_customer_user_rel` (\\n  `id` int unsigned NOT NULL AUTO_INCREMENT COMMENT \'客户 - 用户 关联表 id\',\\n  `customer_id` bigint DEFAULT NULL COMMENT \'客户id\',\\n  `user_id` bigint DEFAULT NULL COMMENT \'用户id\',\\n  `customer_name` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT \'客户昵称(辅助参考)\',\\n  `user_name` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT \'用户昵称(辅助参考)\',\\n  PRIMARY KEY (`id`)\\n) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT=\'客户 - 用户 关联表\';\"}', '{\"msg\":\"创建表结构异常\",\"code\":500}', 0, NULL, '2025-04-03 10:39:20', 99);
INSERT INTO `sys_oper_log` VALUES (103, '创建表', 0, 'com.ruoyi.generator.controller.GenController.createTableSave()', 'POST', 1, 'admin', '研发部门', '/tool/gen/createTable', '127.0.0.1', '内网IP', '{\"sql\":\"CREATE TABLE `tg_customer_user_rel` (\\n  `id` int unsigned NOT NULL AUTO_INCREMENT COMMENT \'客户用户关联表 id\',\\n  `customer_id` bigint DEFAULT NULL COMMENT \'客户id\',\\n  `user_id` bigint DEFAULT NULL COMMENT \'用户id\',\\n  `customer_name` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT \'客户昵称\',\\n  `user_name` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT \'用户昵称\',\\n  PRIMARY KEY (`id`)\\n) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT=\'客户用户关联表\';\"}', '{\"msg\":\"创建表结构异常\",\"code\":500}', 0, NULL, '2025-04-03 10:40:07', 13);
INSERT INTO `sys_oper_log` VALUES (104, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', '研发部门', '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"tg_device_model,tg_maintenance_record,tg_device_threshold,tg_customer_user_rel,tg_device_user_rel,tg_device_info\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-04-03 10:42:20', 255);
INSERT INTO `sys_oper_log` VALUES (105, '代码生成', 8, 'com.ruoyi.generator.controller.GenController.batchGenCode()', 'GET', 1, 'admin', '研发部门', '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"tg_customer_user_rel,tg_device_info,tg_device_model,tg_device_threshold,tg_device_user_rel,tg_maintenance_record\"}', NULL, 0, NULL, '2025-04-03 10:42:33', 372);
INSERT INTO `sys_oper_log` VALUES (106, '代码生成', 8, 'com.ruoyi.generator.controller.GenController.batchGenCode()', 'GET', 1, 'admin', '研发部门', '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"tg_customer_user_rel,tg_device_info,tg_device_model,tg_device_threshold,tg_device_user_rel,tg_maintenance_record\"}', NULL, 0, NULL, '2025-04-03 10:57:32', 287);
INSERT INTO `sys_oper_log` VALUES (107, '代码生成', 3, 'com.ruoyi.generator.controller.GenController.remove()', 'DELETE', 1, 'admin', '研发部门', '/tool/gen/1,2,3,4,5,6', '127.0.0.1', '内网IP', '[1,2,3,4,5,6]', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-04-03 11:01:17', 34);
INSERT INTO `sys_oper_log` VALUES (108, '代码生成', 6, 'com.ruoyi.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', '研发部门', '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"tg_customer_user_rel,tg_device_user_rel,tg_device_threshold,tg_device_model,tg_maintenance_record,tg_device_info\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-04-03 11:01:34', 281);
INSERT INTO `sys_oper_log` VALUES (109, '代码生成', 8, 'com.ruoyi.generator.controller.GenController.batchGenCode()', 'GET', 1, 'admin', '研发部门', '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"tg_customer_user_rel,tg_device_info,tg_device_model,tg_device_threshold,tg_device_user_rel,tg_maintenance_record\"}', NULL, 0, NULL, '2025-04-03 11:01:46', 355);
INSERT INTO `sys_oper_log` VALUES (110, '设备信息', 5, 'com.ruoyi.web.tg.controller.DeviceInfoController.export()', 'POST', 1, 'admin', '研发部门', '/web/info/export', '127.0.0.1', '内网IP', '{\"pageSize\":\"10\",\"pageNum\":\"1\"}', NULL, 0, NULL, '2025-04-03 13:25:08', 468);
INSERT INTO `sys_oper_log` VALUES (111, '设备型号', 3, 'com.ruoyi.web.controller.tg.DeviceModelController.remove()', 'DELETE', 1, 'admin', '研发部门', '/web/model/1', '127.0.0.1', '内网IP', '[\"1\"]', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-04-03 14:28:19', 16);
INSERT INTO `sys_oper_log` VALUES (112, '设备型号', 3, 'com.ruoyi.web.controller.tg.DeviceModelController.remove()', 'DELETE', 1, 'admin', '研发部门', '/web/model/1', '127.0.0.1', '内网IP', '[\"1\"]', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-04-03 14:30:15', 23);
INSERT INTO `sys_oper_log` VALUES (113, '代码生成', 8, 'com.ruoyi.generator.controller.GenController.batchGenCode()', 'GET', 1, 'admin', '研发部门', '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"tg_customer_user_rel,tg_device_info,tg_device_model,tg_device_threshold,tg_device_user_rel,tg_maintenance_record\"}', NULL, 0, NULL, '2025-04-03 14:42:51', 429);
INSERT INTO `sys_oper_log` VALUES (114, '代码生成', 8, 'com.ruoyi.generator.controller.GenController.batchGenCode()', 'GET', 1, 'admin', '研发部门', '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"tg_customer_user_rel,tg_device_info,tg_device_model,tg_device_threshold,tg_device_user_rel,tg_maintenance_record\"}', NULL, 0, NULL, '2025-04-03 14:52:22', 271);
INSERT INTO `sys_oper_log` VALUES (115, '设备型号', 3, 'com.ruoyi.web.controller.tg.DeviceModelController.remove()', 'DELETE', 1, 'admin', '研发部门', '/web/model/1', '127.0.0.1', '内网IP', '[\"1\"]', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-04-03 15:08:43', 21);
INSERT INTO `sys_oper_log` VALUES (116, '设备型号', 3, 'com.ruoyi.web.controller.tg.DeviceModelController.remove()', 'DELETE', 1, 'admin', '研发部门', '/web/model/1', '127.0.0.1', '内网IP', '[\"1\"]', NULL, 1, 'Invalid bound statement (not found): com.ruoyi.web.mapper.DeviceModelMapper.selectBatchIds', '2025-04-03 15:25:03', 17);
INSERT INTO `sys_oper_log` VALUES (117, '设备型号', 3, 'com.ruoyi.web.controller.tg.DeviceModelController.remove()', 'DELETE', 1, 'admin', '研发部门', '/web/model/1', '127.0.0.1', '内网IP', '[\"1\"]', NULL, 1, 'Invalid bound statement (not found): com.ruoyi.web.mapper.DeviceModelMapper.selectBatchIds', '2025-04-03 15:27:31', 24);
INSERT INTO `sys_oper_log` VALUES (118, '设备型号', 3, 'com.ruoyi.web.controller.tg.DeviceModelController.remove()', 'DELETE', 1, 'admin', '研发部门', '/web/model/1', '127.0.0.1', '内网IP', '[\"1\"]', NULL, 1, 'Invalid bound statement (not found): com.ruoyi.web.mapper.DeviceModelMapper.selectBatchIds', '2025-04-03 15:33:35', 25);
INSERT INTO `sys_oper_log` VALUES (119, '设备型号', 3, 'com.ruoyi.web.controller.tg.DeviceModelController.remove()', 'DELETE', 1, 'admin', '研发部门', '/web/model/1', '127.0.0.1', '内网IP', '[\"1\"]', NULL, 1, 'Invalid bound statement (not found): com.ruoyi.web.mapper.DeviceModelMapper.selectBatchIds', '2025-04-03 15:39:37', 15);
INSERT INTO `sys_oper_log` VALUES (120, '设备型号', 3, 'com.ruoyi.web.controller.tg.DeviceModelController.remove()', 'DELETE', 1, 'admin', '研发部门', '/web/model/1', '127.0.0.1', '内网IP', '[\"1\"]', NULL, 1, 'Invalid bound statement (not found): com.ruoyi.web.mapper.DeviceModelMapper.selectBatchIds', '2025-04-03 15:53:13', 12);
INSERT INTO `sys_oper_log` VALUES (121, '设备型号', 3, 'com.ruoyi.web.controller.tg.DeviceModelController.remove()', 'DELETE', 1, 'admin', '研发部门', '/web/model/1', '127.0.0.1', '内网IP', '[\"1\"]', NULL, 1, 'Invalid bound statement (not found): com.ruoyi.web.mapper.DeviceModelMapper.selectBatchIds', '2025-04-03 15:58:04', 212412);
INSERT INTO `sys_oper_log` VALUES (122, '设备型号', 3, 'com.ruoyi.web.controller.tg.DeviceModelController.remove()', 'DELETE', 1, 'admin', '研发部门', '/web/model/1', '127.0.0.1', '内网IP', '[\"1\"]', NULL, 1, 'Invalid bound statement (not found): com.ruoyi.web.mapper.DeviceModelMapper.selectBatchIds', '2025-04-03 16:26:17', 6);
INSERT INTO `sys_oper_log` VALUES (123, '设备型号', 3, 'com.ruoyi.web.controller.tg.DeviceModelController.remove()', 'DELETE', 1, 'admin', '研发部门', '/web/model/1', '127.0.0.1', '内网IP', '[\"1\"]', NULL, 1, 'Invalid bound statement (not found): com.ruoyi.web.mapper.DeviceModelMapper.selectBatchIds', '2025-04-03 16:38:21', 15);
INSERT INTO `sys_oper_log` VALUES (124, '设备型号', 3, 'com.ruoyi.web.controller.tg.DeviceModelController.remove()', 'DELETE', 1, 'admin', '研发部门', '/web/model/1', '127.0.0.1', '内网IP', '[\"1\"]', NULL, 1, 'Invalid bound statement (not found): com.ruoyi.web.mapper.DeviceModelMapper.selectBatchIds', '2025-04-03 16:38:38', 1);
INSERT INTO `sys_oper_log` VALUES (125, '设备型号', 1, 'com.ruoyi.web.controller.tg.DeviceModelController.add()', 'POST', 1, 'admin', '研发部门', '/device/model', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"deviceModel\":\"bug-model001\",\"devicePic\":\"http://192.168.0.31:9000/test/%E5%B1%8F%E5%B9%95%E6%88%AA%E5%9B%BE%202025-03-28%20164859.png\",\"id\":\"2\",\"params\":{},\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-04-08 18:59:09', 23);
INSERT INTO `sys_oper_log` VALUES (126, '设备型号', 1, 'com.ruoyi.web.controller.tg.DeviceModelController.add()', 'POST', 1, 'admin', '研发部门', '/device/model', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"deviceModel\":\"beauty-model001\",\"devicePic\":\"http://192.168.0.31:9000/test/%E5%B1%8F%E5%B9%95%E6%88%AA%E5%9B%BE%202025-03-28%20164859.png\",\"id\":\"3\",\"params\":{},\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-04-08 18:59:22', 13);
INSERT INTO `sys_oper_log` VALUES (127, '设备型号', 1, 'com.ruoyi.web.controller.tg.DeviceModelController.add()', 'POST', 1, 'admin', '研发部门', '/device/model', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"deviceModel\":\"model3-standard\",\"devicePic\":\"http://192.168.0.31:9000/test/%E5%B1%8F%E5%B9%95%E6%88%AA%E5%9B%BE%202025-03-28%20164859.png\",\"id\":\"4\",\"params\":{},\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-04-08 18:59:37', 14);
INSERT INTO `sys_oper_log` VALUES (128, '设备型号', 1, 'com.ruoyi.web.controller.tg.DeviceModelController.add()', 'POST', 1, 'admin', '研发部门', '/device/model', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"deviceModel\":\"model3-long\",\"devicePic\":\"http://192.168.0.31:9000/test/%E5%B1%8F%E5%B9%95%E6%88%AA%E5%9B%BE%202025-03-28%20164859.png\",\"id\":\"5\",\"params\":{},\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-04-08 18:59:49', 17);
INSERT INTO `sys_oper_log` VALUES (129, '设备型号', 1, 'com.ruoyi.web.controller.tg.DeviceModelController.add()', 'POST', 1, 'admin', '研发部门', '/device/model', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"deviceModel\":\"modely\",\"devicePic\":\"http://192.168.0.31:9000/test/%E5%B1%8F%E5%B9%95%E6%88%AA%E5%9B%BE%202025-03-28%20164859.png\",\"id\":\"6\",\"params\":{},\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-04-08 18:59:58', 14);
INSERT INTO `sys_oper_log` VALUES (130, '设备信息', 1, 'com.ruoyi.web.controller.tg.DeviceInfoController.add()', 'POST', 1, 'admin', '研发部门', '/device/info', '127.0.0.1', '内网IP', '{\"customerId\":102,\"deviceCode\":\"300300-01\",\"deviceModel\":\"bug-model001\",\"deviceName\":\"偏测仪-bug版\",\"emqxAuth\":{\"cloudPass\":\"admin123\",\"cloudUserName\":\"admin\",\"localPass\":\"admin123\",\"localUserName\":\"admin\"},\"userIdList\":[]}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'update_time\' doesn\'t have a default value\r\n### The error may exist in com/ruoyi/web/mapper/DeviceInfoMapper.java (best guess)\r\n### The error may involve com.ruoyi.web.mapper.DeviceInfoMapper.insert-Inline\r\n### The error occurred while setting parameters\r\n### SQL: INSERT INTO tg_device_info  ( device_name, device_model, device_code, customer_id,     create_by, create_time )  VALUES  ( ?, ?, ?, ?,     ?, ? )\r\n### Cause: java.sql.SQLException: Field \'update_time\' doesn\'t have a default value\n; Field \'update_time\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'update_time\' doesn\'t have a default value', '2025-04-08 19:31:27', 309);
INSERT INTO `sys_oper_log` VALUES (131, '设备信息', 1, 'com.ruoyi.web.controller.tg.DeviceInfoController.add()', 'POST', 1, 'admin', '研发部门', '/device/info', '127.0.0.1', '内网IP', '{\"customerId\":102,\"deviceCode\":\"300300-01\",\"deviceModel\":\"bug-model001\",\"deviceName\":\"偏测仪-bug版\",\"emqxAuth\":{\"cloudPass\":\"admin123\",\"cloudUserName\":\"admin\",\"localPass\":\"admin123\",\"localUserName\":\"admin\"},\"userIdList\":[]}', NULL, 1, 'Invalid bound statement (not found): com.ruoyi.web.mapper.DeviceThresholdMapper.insertDeviceThreshold', '2025-04-08 19:32:52', 48);
INSERT INTO `sys_oper_log` VALUES (132, '设备信息', 1, 'com.ruoyi.web.controller.tg.DeviceInfoController.add()', 'POST', 1, 'admin', '研发部门', '/device/info', '127.0.0.1', '内网IP', '{\"customerId\":102,\"deviceCode\":\"300300-01\",\"deviceModel\":\"bug-model001\",\"deviceName\":\"偏测仪-bug版\",\"emqxAuth\":{\"cloudPass\":\"admin123\",\"cloudUserName\":\"admin\",\"localPass\":\"admin123\",\"localUserName\":\"admin\"},\"userIdList\":[]}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-04-08 19:34:44', 340);
INSERT INTO `sys_oper_log` VALUES (133, '设备信息', 1, 'com.ruoyi.web.controller.tg.DeviceInfoController.add()', 'POST', 1, 'admin', '研发部门', '/device/info', '127.0.0.1', '内网IP', '{\"customerId\":102,\"deviceCode\":\"300300-02\",\"deviceModel\":\"bug-model032\",\"deviceName\":\"偏测仪-bug版\",\"emqxAuth\":{\"cloudPass\":\"admin123\",\"cloudUserName\":\"admin\",\"localPass\":\"admin123\",\"localUserName\":\"admin\"},\"userIdList\":[]}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-04-08 19:43:06', 333);
INSERT INTO `sys_oper_log` VALUES (134, '设备信息', 1, 'com.ruoyi.web.controller.tg.DeviceInfoController.add()', 'POST', 1, 'admin', '研发部门', '/device/info', '127.0.0.1', '内网IP', '{\"customerId\":102,\"deviceCode\":\"300300-0222\",\"deviceModel\":\"bug-model032\",\"deviceName\":\"偏测仪-bug版\",\"emqxAuth\":{\"cloudPass\":\"admin123\",\"cloudUserName\":\"admin\",\"localPass\":\"admin123\",\"localUserName\":\"admin\"},\"userIdList\":[]}', NULL, 1, '/ by zero', '2025-04-08 19:44:30', 351);
INSERT INTO `sys_oper_log` VALUES (135, '设备维保记录', 1, 'com.ruoyi.web.controller.tg.MaintenanceRecordController.add()', 'POST', 1, 'admin', '研发部门', '/maintain/record', '127.0.0.1', '内网IP', '{\"deviceCode\":\"300300-01\",\"id\":\"1\",\"maintenanceDate\":\"2025-04-08 19:54:06.054\",\"maintenanceType\":0,\"maintenanceUser\":\"admin\",\"params\":{},\"remark\":\"备注信息：本次润滑\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-04-08 19:58:33', 236);
INSERT INTO `sys_oper_log` VALUES (136, '设备维保记录', 1, 'com.ruoyi.web.controller.tg.MaintenanceRecordController.add()', 'POST', 1, 'admin', '研发部门', '/maintain/record', '127.0.0.1', '内网IP', '{\"customerName\":\"京东集团\",\"deviceCode\":\"300300-01\",\"deviceModel\":\"bug-model001\",\"deviceName\":\"偏测仪-bug版\",\"id\":\"2\",\"maintenanceDate\":\"2025-04-08 19:54:06.054\",\"maintenanceType\":0,\"maintenanceUser\":\"admin\",\"params\":{},\"remark\":\"备注信息：本次润滑\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-04-08 20:01:48', 11);
INSERT INTO `sys_oper_log` VALUES (137, '用户管理', 1, 'com.ruoyi.web.controller.system.SysUserController.add()', 'POST', 1, 'admin', '研发部门', '/system/user', '127.0.0.1', '内网IP', '{\"admin\":false,\"createBy\":\"admin\",\"deptId\":204,\"email\":\"youcai@126.com\",\"nickName\":\"易有才\",\"params\":{},\"phonenumber\":\"13633338787\",\"postIds\":[5],\"roleIds\":[2],\"sex\":\"0\",\"status\":\"0\",\"userId\":100,\"userName\":\"youcai\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-04-09 15:09:11', 197);
INSERT INTO `sys_oper_log` VALUES (138, '设备信息', 1, 'com.ruoyi.web.controller.tg.DeviceInfoController.add()', 'POST', 1, 'admin', '研发部门', '/device/info', '127.0.0.1', '内网IP', '{\"customerId\":203,\"deviceCode\":\"300300-333\",\"deviceModel\":\"bug-model032\",\"deviceName\":\"偏测仪-bug版32\",\"emqxAuth\":{\"cloudPass\":\"admin123\",\"cloudUserName\":\"admin\",\"localPass\":\"admin123\",\"localUserName\":\"admin\"},\"userIdList\":[100]}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-04-09 15:11:03', 130);
INSERT INTO `sys_oper_log` VALUES (139, '定时任务', 1, 'com.ruoyi.quartz.controller.SysJobController.add()', 'POST', 1, 'admin', '研发部门', '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"cronExpression\":\"* * * * * ?\",\"invokeTarget\":\"testTask.testParams(\\\"test\\\")\",\"jobGroup\":\"DEFAULT\",\"jobName\":\"test\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2025-04-09 19:56:50\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"新增任务\'test\'失败，目标字符串不在白名单内\",\"code\":500}', 0, NULL, '2025-04-09 19:56:49', 11);
INSERT INTO `sys_oper_log` VALUES (140, '定时任务', 1, 'com.ruoyi.quartz.controller.SysJobController.add()', 'POST', 1, 'admin', '研发部门', '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"cronExpression\":\"* * * * * ?\",\"invokeTarget\":\"testTask.testParams(\\\"test1\\\")\",\"jobGroup\":\"DEFAULT\",\"jobName\":\"test\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2025-04-09 19:56:56\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"新增任务\'test\'失败，目标字符串不在白名单内\",\"code\":500}', 0, NULL, '2025-04-09 19:56:55', 1);
INSERT INTO `sys_oper_log` VALUES (141, '定时任务', 1, 'com.ruoyi.quartz.controller.SysJobController.add()', 'POST', 1, 'admin', '研发部门', '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"cronExpression\":\"* * * * * ?\",\"invokeTarget\":\"testTask.testParams(\\\"test1\\\")\",\"jobGroup\":\"DEFAULT\",\"jobName\":\"test222\",\"misfirePolicy\":\"1\",\"nextValidTime\":\"2025-04-09 19:57:02\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"新增任务\'test222\'失败，目标字符串不在白名单内\",\"code\":500}', 0, NULL, '2025-04-09 19:57:01', 1);
INSERT INTO `sys_oper_log` VALUES (142, '定时任务', 1, 'com.ruoyi.quartz.controller.SysJobController.add()', 'POST', 1, 'admin', '研发部门', '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"cronExpression\":\"* * * * * ?\",\"invokeTarget\":\"testTask.testParams(\\\"test1\\\")\",\"jobGroup\":\"DEFAULT\",\"jobName\":\"测试调度\",\"misfirePolicy\":\"2\",\"nextValidTime\":\"2025-04-09 19:58:37\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"新增任务\'测试调度\'失败，目标字符串不在白名单内\",\"code\":500}', 0, NULL, '2025-04-09 19:58:36', 1);
INSERT INTO `sys_oper_log` VALUES (143, '定时任务', 1, 'com.ruoyi.quartz.controller.SysJobController.add()', 'POST', 1, 'admin', '研发部门', '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"cronExpression\":\"* * * * * ?\",\"invokeTarget\":\"testTask.testParams(\\\"test1\\\")\",\"jobGroup\":\"DEFAULT\",\"jobName\":\"测试调度\",\"misfirePolicy\":\"2\",\"nextValidTime\":\"2025-04-09 19:58:41\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"新增任务\'测试调度\'失败，目标字符串不在白名单内\",\"code\":500}', 0, NULL, '2025-04-09 19:58:40', 1);
INSERT INTO `sys_oper_log` VALUES (144, '定时任务', 1, 'com.ruoyi.quartz.controller.SysJobController.add()', 'POST', 1, 'admin', '研发部门', '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"cronExpression\":\"* * * * * ?\",\"invokeTarget\":\"testTask.testParams(\\\"re\\\")\",\"jobGroup\":\"DEFAULT\",\"jobName\":\"测试调度\",\"misfirePolicy\":\"2\",\"nextValidTime\":\"2025-04-09 19:58:46\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"新增任务\'测试调度\'失败，目标字符串不在白名单内\",\"code\":500}', 0, NULL, '2025-04-09 19:58:45', 0);
INSERT INTO `sys_oper_log` VALUES (145, '定时任务', 1, 'com.ruoyi.quartz.controller.SysJobController.add()', 'POST', 1, 'admin', '研发部门', '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"cronExpression\":\"0-10 * * * * ?\",\"invokeTarget\":\"testTask.runLog\",\"jobGroup\":\"SYSTEM\",\"jobName\":\"testTask\",\"misfirePolicy\":\"2\",\"nextValidTime\":\"2025-04-10 09:21:00\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"新增任务\'testTask\'失败，目标字符串不在白名单内\",\"code\":500}', 0, NULL, '2025-04-10 09:20:57', 6);
INSERT INTO `sys_oper_log` VALUES (146, '定时任务', 1, 'com.ruoyi.quartz.controller.SysJobController.add()', 'POST', 1, 'admin', '研发部门', '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"cronExpression\":\"0-10 * * * * ?\",\"invokeTarget\":\"testTask.runLog(\\\"hello\\\")\",\"jobGroup\":\"SYSTEM\",\"jobName\":\"testTask\",\"misfirePolicy\":\"2\",\"nextValidTime\":\"2025-04-10 09:22:00\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"新增任务\'testTask\'失败，目标字符串不在白名单内\",\"code\":500}', 0, NULL, '2025-04-10 09:21:31', 0);
INSERT INTO `sys_oper_log` VALUES (147, '定时任务', 1, 'com.ruoyi.quartz.controller.SysJobController.add()', 'POST', 1, 'admin', '研发部门', '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"cronExpression\":\"0-10 * * * * ?\",\"invokeTarget\":\"testTask.runLog(\\\"hello\\\")\",\"jobGroup\":\"SYSTEM\",\"jobName\":\"testTask\",\"misfirePolicy\":\"2\",\"nextValidTime\":\"2025-04-10 09:22:00\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"新增任务\'testTask\'失败，目标字符串不在白名单内\",\"code\":500}', 0, NULL, '2025-04-10 09:21:33', 1);
INSERT INTO `sys_oper_log` VALUES (148, '定时任务', 1, 'com.ruoyi.quartz.controller.SysJobController.add()', 'POST', 1, 'admin', '研发部门', '/monitor/job', '127.0.0.1', '内网IP', '{\"concurrent\":\"0\",\"createBy\":\"admin\",\"cronExpression\":\"0-10 * * * * ?\",\"invokeTarget\":\"testTask.runLog(\\\"hello\\\")\",\"jobGroup\":\"SYSTEM\",\"jobId\":100,\"jobName\":\"testTask\",\"misfirePolicy\":\"2\",\"nextValidTime\":\"2025-04-10 09:23:08\",\"params\":{},\"status\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-04-10 09:23:07', 102);

-- ----------------------------
-- Table structure for sys_post
-- ----------------------------
DROP TABLE IF EXISTS `sys_post`;
CREATE TABLE `sys_post`  (
  `post_id` bigint NOT NULL AUTO_INCREMENT COMMENT '岗位ID',
  `post_code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '岗位编码',
  `post_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '岗位名称',
  `post_sort` int NOT NULL COMMENT '显示顺序',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`post_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 7 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '岗位信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_post
-- ----------------------------
INSERT INTO `sys_post` VALUES (1, 'ceo', '董事长', 1, '0', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_post` VALUES (2, 'se', '项目经理', 2, '0', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_post` VALUES (3, 'hr', '人力资源', 3, '0', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_post` VALUES (4, 'user', '普通员工', 4, '0', 'admin', '2025-04-03 09:12:11', '', NULL, '');
INSERT INTO `sys_post` VALUES (5, 'customer', '现场实施', 0, '0', 'admin', '2025-04-08 19:20:48', '', NULL, NULL);
INSERT INTO `sys_post` VALUES (6, 'customer', '综合管理', 1, '0', 'admin', '2025-04-08 19:21:41', '', NULL, NULL);

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role`  (
  `role_id` bigint NOT NULL AUTO_INCREMENT COMMENT '角色ID',
  `role_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '角色名称',
  `role_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '角色权限字符串',
  `role_sort` int NOT NULL COMMENT '显示顺序',
  `data_scope` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '1' COMMENT '数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）',
  `menu_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '菜单树选择项是否关联显示',
  `dept_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '部门树选择项是否关联显示',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '角色状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`role_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 100 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '角色信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_role
-- ----------------------------
INSERT INTO `sys_role` VALUES (1, '超级管理员', 'admin', 1, '1', 1, 1, '0', '0', 'admin', '2025-04-03 09:12:11', '', NULL, '超级管理员');
INSERT INTO `sys_role` VALUES (2, '普通角色', 'common', 2, '2', 1, 1, '0', '0', 'admin', '2025-04-03 09:12:11', '', NULL, '普通角色');

-- ----------------------------
-- Table structure for sys_role_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_dept`;
CREATE TABLE `sys_role_dept`  (
  `role_id` bigint NOT NULL COMMENT '角色ID',
  `dept_id` bigint NOT NULL COMMENT '部门ID',
  PRIMARY KEY (`role_id`, `dept_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '角色和部门关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_role_dept
-- ----------------------------
INSERT INTO `sys_role_dept` VALUES (2, 100);
INSERT INTO `sys_role_dept` VALUES (2, 101);
INSERT INTO `sys_role_dept` VALUES (2, 105);

-- ----------------------------
-- Table structure for sys_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_menu`;
CREATE TABLE `sys_role_menu`  (
  `role_id` bigint NOT NULL COMMENT '角色ID',
  `menu_id` bigint NOT NULL COMMENT '菜单ID',
  PRIMARY KEY (`role_id`, `menu_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '角色和菜单关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_role_menu
-- ----------------------------
INSERT INTO `sys_role_menu` VALUES (2, 1);
INSERT INTO `sys_role_menu` VALUES (2, 2);
INSERT INTO `sys_role_menu` VALUES (2, 3);
INSERT INTO `sys_role_menu` VALUES (2, 4);
INSERT INTO `sys_role_menu` VALUES (2, 100);
INSERT INTO `sys_role_menu` VALUES (2, 101);
INSERT INTO `sys_role_menu` VALUES (2, 102);
INSERT INTO `sys_role_menu` VALUES (2, 103);
INSERT INTO `sys_role_menu` VALUES (2, 104);
INSERT INTO `sys_role_menu` VALUES (2, 105);
INSERT INTO `sys_role_menu` VALUES (2, 106);
INSERT INTO `sys_role_menu` VALUES (2, 107);
INSERT INTO `sys_role_menu` VALUES (2, 108);
INSERT INTO `sys_role_menu` VALUES (2, 109);
INSERT INTO `sys_role_menu` VALUES (2, 110);
INSERT INTO `sys_role_menu` VALUES (2, 111);
INSERT INTO `sys_role_menu` VALUES (2, 112);
INSERT INTO `sys_role_menu` VALUES (2, 113);
INSERT INTO `sys_role_menu` VALUES (2, 114);
INSERT INTO `sys_role_menu` VALUES (2, 115);
INSERT INTO `sys_role_menu` VALUES (2, 116);
INSERT INTO `sys_role_menu` VALUES (2, 117);
INSERT INTO `sys_role_menu` VALUES (2, 500);
INSERT INTO `sys_role_menu` VALUES (2, 501);
INSERT INTO `sys_role_menu` VALUES (2, 1000);
INSERT INTO `sys_role_menu` VALUES (2, 1001);
INSERT INTO `sys_role_menu` VALUES (2, 1002);
INSERT INTO `sys_role_menu` VALUES (2, 1003);
INSERT INTO `sys_role_menu` VALUES (2, 1004);
INSERT INTO `sys_role_menu` VALUES (2, 1005);
INSERT INTO `sys_role_menu` VALUES (2, 1006);
INSERT INTO `sys_role_menu` VALUES (2, 1007);
INSERT INTO `sys_role_menu` VALUES (2, 1008);
INSERT INTO `sys_role_menu` VALUES (2, 1009);
INSERT INTO `sys_role_menu` VALUES (2, 1010);
INSERT INTO `sys_role_menu` VALUES (2, 1011);
INSERT INTO `sys_role_menu` VALUES (2, 1012);
INSERT INTO `sys_role_menu` VALUES (2, 1013);
INSERT INTO `sys_role_menu` VALUES (2, 1014);
INSERT INTO `sys_role_menu` VALUES (2, 1015);
INSERT INTO `sys_role_menu` VALUES (2, 1016);
INSERT INTO `sys_role_menu` VALUES (2, 1017);
INSERT INTO `sys_role_menu` VALUES (2, 1018);
INSERT INTO `sys_role_menu` VALUES (2, 1019);
INSERT INTO `sys_role_menu` VALUES (2, 1020);
INSERT INTO `sys_role_menu` VALUES (2, 1021);
INSERT INTO `sys_role_menu` VALUES (2, 1022);
INSERT INTO `sys_role_menu` VALUES (2, 1023);
INSERT INTO `sys_role_menu` VALUES (2, 1024);
INSERT INTO `sys_role_menu` VALUES (2, 1025);
INSERT INTO `sys_role_menu` VALUES (2, 1026);
INSERT INTO `sys_role_menu` VALUES (2, 1027);
INSERT INTO `sys_role_menu` VALUES (2, 1028);
INSERT INTO `sys_role_menu` VALUES (2, 1029);
INSERT INTO `sys_role_menu` VALUES (2, 1030);
INSERT INTO `sys_role_menu` VALUES (2, 1031);
INSERT INTO `sys_role_menu` VALUES (2, 1032);
INSERT INTO `sys_role_menu` VALUES (2, 1033);
INSERT INTO `sys_role_menu` VALUES (2, 1034);
INSERT INTO `sys_role_menu` VALUES (2, 1035);
INSERT INTO `sys_role_menu` VALUES (2, 1036);
INSERT INTO `sys_role_menu` VALUES (2, 1037);
INSERT INTO `sys_role_menu` VALUES (2, 1038);
INSERT INTO `sys_role_menu` VALUES (2, 1039);
INSERT INTO `sys_role_menu` VALUES (2, 1040);
INSERT INTO `sys_role_menu` VALUES (2, 1041);
INSERT INTO `sys_role_menu` VALUES (2, 1042);
INSERT INTO `sys_role_menu` VALUES (2, 1043);
INSERT INTO `sys_role_menu` VALUES (2, 1044);
INSERT INTO `sys_role_menu` VALUES (2, 1045);
INSERT INTO `sys_role_menu` VALUES (2, 1046);
INSERT INTO `sys_role_menu` VALUES (2, 1047);
INSERT INTO `sys_role_menu` VALUES (2, 1048);
INSERT INTO `sys_role_menu` VALUES (2, 1049);
INSERT INTO `sys_role_menu` VALUES (2, 1050);
INSERT INTO `sys_role_menu` VALUES (2, 1051);
INSERT INTO `sys_role_menu` VALUES (2, 1052);
INSERT INTO `sys_role_menu` VALUES (2, 1053);
INSERT INTO `sys_role_menu` VALUES (2, 1054);
INSERT INTO `sys_role_menu` VALUES (2, 1055);
INSERT INTO `sys_role_menu` VALUES (2, 1056);
INSERT INTO `sys_role_menu` VALUES (2, 1057);
INSERT INTO `sys_role_menu` VALUES (2, 1058);
INSERT INTO `sys_role_menu` VALUES (2, 1059);
INSERT INTO `sys_role_menu` VALUES (2, 1060);

-- ----------------------------
-- Table structure for sys_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE `sys_user`  (
  `user_id` bigint NOT NULL AUTO_INCREMENT COMMENT '用户ID',
  `dept_id` bigint NULL DEFAULT NULL COMMENT '部门ID',
  `user_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '用户账号',
  `nick_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '用户昵称',
  `user_type` varchar(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '00' COMMENT '用户类型（00系统用户）',
  `email` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '用户邮箱',
  `phonenumber` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '手机号码',
  `sex` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '用户性别（0男 1女 2未知）',
  `avatar` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '头像地址',
  `password` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '密码',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '帐号状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `login_ip` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '最后登录IP',
  `login_date` datetime NULL DEFAULT NULL COMMENT '最后登录时间',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`user_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 101 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_user
-- ----------------------------
INSERT INTO `sys_user` VALUES (1, 103, 'admin', '若依', '00', 'ry@163.com', '15888888888', '1', '', '$2a$10$7JB720yubVSZvUI0rEqK/.VqGOZTH.ulu33dHOiBE8ByOhJIrdAu2', '0', '0', '127.0.0.1', '2025-04-10 09:19:14', 'admin', '2025-04-03 09:12:11', '', '2025-04-10 09:19:14', '管理员');
INSERT INTO `sys_user` VALUES (2, 105, 'ry', '若依', '00', 'ry@qq.com', '15666666666', '1', '', '$2a$10$7JB720yubVSZvUI0rEqK/.VqGOZTH.ulu33dHOiBE8ByOhJIrdAu2', '0', '0', '127.0.0.1', '2025-04-03 09:12:11', 'admin', '2025-04-03 09:12:11', '', NULL, '测试员');
INSERT INTO `sys_user` VALUES (100, 204, 'youcai', '易有才', '00', 'youcai@126.com', '13633338787', '0', '', '$2a$10$GzPjY.G8vFeXlk9GzrcS7OownkdhxhPKhbVNgfwk3Mur/h769vNR2', '0', '0', '', NULL, 'admin', '2025-04-09 15:09:11', '', NULL, NULL);

-- ----------------------------
-- Table structure for sys_user_post
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_post`;
CREATE TABLE `sys_user_post`  (
  `user_id` bigint NOT NULL COMMENT '用户ID',
  `post_id` bigint NOT NULL COMMENT '岗位ID',
  PRIMARY KEY (`user_id`, `post_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户与岗位关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_user_post
-- ----------------------------
INSERT INTO `sys_user_post` VALUES (1, 1);
INSERT INTO `sys_user_post` VALUES (2, 2);
INSERT INTO `sys_user_post` VALUES (100, 5);

-- ----------------------------
-- Table structure for sys_user_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_role`;
CREATE TABLE `sys_user_role`  (
  `user_id` bigint NOT NULL COMMENT '用户ID',
  `role_id` bigint NOT NULL COMMENT '角色ID',
  PRIMARY KEY (`user_id`, `role_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户和角色关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_user_role
-- ----------------------------
INSERT INTO `sys_user_role` VALUES (1, 1);
INSERT INTO `sys_user_role` VALUES (2, 2);
INSERT INTO `sys_user_role` VALUES (100, 2);

-- ----------------------------
-- Table structure for tg_customer_dept_post_rel
-- ----------------------------
DROP TABLE IF EXISTS `tg_customer_dept_post_rel`;
CREATE TABLE `tg_customer_dept_post_rel`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '主键',
  `customer_id` bigint NOT NULL COMMENT '客户id',
  `dept_id` bigint NOT NULL COMMENT '部门id',
  `post_id` bigint NOT NULL COMMENT '岗位id',
  PRIMARY KEY (`id`, `customer_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 13 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '客户-部门-岗位关联对象' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of tg_customer_dept_post_rel
-- ----------------------------
INSERT INTO `tg_customer_dept_post_rel` VALUES (1, 200, 201, 5);
INSERT INTO `tg_customer_dept_post_rel` VALUES (2, 200, 201, 6);
INSERT INTO `tg_customer_dept_post_rel` VALUES (3, 200, 202, 5);
INSERT INTO `tg_customer_dept_post_rel` VALUES (4, 200, 202, 6);
INSERT INTO `tg_customer_dept_post_rel` VALUES (5, 203, 204, 5);
INSERT INTO `tg_customer_dept_post_rel` VALUES (6, 203, 204, 6);
INSERT INTO `tg_customer_dept_post_rel` VALUES (7, 203, 205, 5);
INSERT INTO `tg_customer_dept_post_rel` VALUES (8, 203, 205, 6);
INSERT INTO `tg_customer_dept_post_rel` VALUES (9, 206, 207, 5);
INSERT INTO `tg_customer_dept_post_rel` VALUES (10, 206, 207, 6);
INSERT INTO `tg_customer_dept_post_rel` VALUES (11, 206, 208, 5);
INSERT INTO `tg_customer_dept_post_rel` VALUES (12, 206, 208, 6);

-- ----------------------------
-- Table structure for tg_device_info
-- ----------------------------
DROP TABLE IF EXISTS `tg_device_info`;
CREATE TABLE `tg_device_info`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '设备信息表-主键',
  `device_name` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '设备名称',
  `device_model` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '设备型号',
  `device_code` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '设备编码',
  `customer_id` bigint NOT NULL COMMENT '客户id',
  `lifespan` double NULL DEFAULT NULL COMMENT '耗材寿命(h)',
  `used_time` double NULL DEFAULT NULL COMMENT '已使用时长(h)',
  `device_status` tinyint NULL DEFAULT NULL COMMENT '设备状态',
  `service_status` tinyint NULL DEFAULT NULL COMMENT '服务状态',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新人',
  `update_time` datetime NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 7 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '设备信息' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of tg_device_info
-- ----------------------------
INSERT INTO `tg_device_info` VALUES (1, '测偏仪0001', '000000', '32', 1, 2, NULL, 0, NULL, NULL, '2025-04-03 14:24:25', '2', '2025-04-09 15:55:03');
INSERT INTO `tg_device_info` VALUES (3, '偏测仪-bug版', 'bug-model001', '300300-01', 102, NULL, NULL, 0, NULL, 'admin', '2025-04-08 19:34:44', '', '2025-04-09 15:55:07');
INSERT INTO `tg_device_info` VALUES (4, '偏测仪-bug版', 'bug-model032', '300300-02', 102, NULL, NULL, 1, NULL, 'admin', '2025-04-08 19:43:06', '', '2025-04-09 15:55:10');
INSERT INTO `tg_device_info` VALUES (6, '偏测仪-bug版32', 'bug-model032', '300300-333', 203, NULL, NULL, 1, NULL, 'admin', '2025-04-09 15:11:03', '', '2025-04-09 15:55:12');

-- ----------------------------
-- Table structure for tg_device_model
-- ----------------------------
DROP TABLE IF EXISTS `tg_device_model`;
CREATE TABLE `tg_device_model`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '设备型号id',
  `device_model` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '设备型号',
  `device_pic` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '设备图片',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '创建人',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '更新人',
  `create_time` datetime NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 7 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '设备型号' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of tg_device_model
-- ----------------------------
INSERT INTO `tg_device_model` VALUES (1, '000000', '5', '4', '4', '2025-04-03 15:15:07', '2025-04-03 15:15:07');
INSERT INTO `tg_device_model` VALUES (2, 'bug-model001', 'http://192.168.0.31:9000/test/%E5%B1%8F%E5%B9%95%E6%88%AA%E5%9B%BE%202025-03-28%20164859.png', 'admin', 'admin', '2025-04-08 18:59:09', '2025-04-08 18:59:09');
INSERT INTO `tg_device_model` VALUES (3, 'beauty-model001', 'http://192.168.0.31:9000/test/%E5%B1%8F%E5%B9%95%E6%88%AA%E5%9B%BE%202025-03-28%20164859.png', 'admin', 'admin', '2025-04-08 18:59:22', '2025-04-08 18:59:22');
INSERT INTO `tg_device_model` VALUES (4, 'model3-standard', 'http://192.168.0.31:9000/test/%E5%B1%8F%E5%B9%95%E6%88%AA%E5%9B%BE%202025-03-28%20164859.png', 'admin', 'admin', '2025-04-08 18:59:37', '2025-04-08 18:59:37');
INSERT INTO `tg_device_model` VALUES (5, 'model3-long', 'http://192.168.0.31:9000/test/%E5%B1%8F%E5%B9%95%E6%88%AA%E5%9B%BE%202025-03-28%20164859.png', 'admin', 'admin', '2025-04-08 18:59:49', '2025-04-08 18:59:49');
INSERT INTO `tg_device_model` VALUES (6, 'modely', 'http://192.168.0.31:9000/test/%E5%B1%8F%E5%B9%95%E6%88%AA%E5%9B%BE%202025-03-28%20164859.png', 'admin', 'admin', '2025-04-08 18:59:58', '2025-04-08 18:59:58');

-- ----------------------------
-- Table structure for tg_device_threshold
-- ----------------------------
DROP TABLE IF EXISTS `tg_device_threshold`;
CREATE TABLE `tg_device_threshold`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '设备信息指标标准值 id',
  `device_code` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '设备编码',
  `outl` double NULL DEFAULT NULL COMMENT '油温上限 (℃)',
  `wtl` double NULL DEFAULT NULL COMMENT '水温上限 (℃)',
  `atl` double NULL DEFAULT NULL COMMENT '气温上限 (℃)',
  `btl` double NULL DEFAULT NULL COMMENT '采集板温报警戒线 (℃)',
  `owst` double NULL DEFAULT NULL COMMENT '出风设定温度 (℃)',
  `wfl` double NULL DEFAULT NULL COMMENT '水流下限 (L/min)',
  `sas` double NULL DEFAULT NULL COMMENT '扫描臂速度(mm/s)',
  `cti` double NULL DEFAULT NULL COMMENT '自定义时间间隔 min',
  `rpssv1` double NULL DEFAULT NULL COMMENT '射线电源设定电压1 V',
  `rpssc1` double NULL DEFAULT NULL COMMENT '射线电源设定电流1 μA',
  `fsc1` double NULL DEFAULT NULL COMMENT '灯丝设定电流1 μA',
  `fpsc1` double NULL DEFAULT NULL COMMENT '灯丝预热设定电流1 μA',
  `rpssv2` double NULL DEFAULT NULL COMMENT '射线电源设定电压2 V',
  `rpssc2` double NULL DEFAULT NULL COMMENT '射线电源设定电流2 μA',
  `fsc2` double NULL DEFAULT NULL COMMENT '灯丝设定电流2 μA',
  `fpsc2` double UNSIGNED ZEROFILL NULL DEFAULT NULL COMMENT '灯丝预热设定电流2 μA',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 6 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '设备指标阈值信息' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of tg_device_threshold
-- ----------------------------
INSERT INTO `tg_device_threshold` VALUES (1, '000000', 45, 40, 40, 45, 30, 0, 40, 10, 55000, 1800, 3000, 1000, 55000, 1800, 3450, 0000000000000000001000);
INSERT INTO `tg_device_threshold` VALUES (2, '300300-01', 45, 40, 40, 45, 30, 0, 40, 10, 55000, 1800, 3000, 1000, 55000, 1800, 3450, 0000000000000000001000);
INSERT INTO `tg_device_threshold` VALUES (3, '300300-02', 45, 40, 40, 45, 30, 0, 40, 10, 55000, 1800, 3000, 1000, 55000, 1800, 3450, 0000000000000000001000);
INSERT INTO `tg_device_threshold` VALUES (5, '300300-333', 45, 40, 40, 45, 30, 0, 40, 10, 55000, 1800, 3000, 1000, 55000, 1800, 3450, 0000000000000000001000);

-- ----------------------------
-- Table structure for tg_device_user_rel
-- ----------------------------
DROP TABLE IF EXISTS `tg_device_user_rel`;
CREATE TABLE `tg_device_user_rel`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '设备-用户 关联表 id',
  `device_code` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '设备编码',
  `customer_id` bigint NULL DEFAULT NULL COMMENT '客户id',
  `user_id` bigint NULL DEFAULT NULL COMMENT '用户id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '设备用户关联信息' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of tg_device_user_rel
-- ----------------------------
INSERT INTO `tg_device_user_rel` VALUES (1, '300300-333', 203, 100);

-- ----------------------------
-- Table structure for tg_emqx_auth
-- ----------------------------
DROP TABLE IF EXISTS `tg_emqx_auth`;
CREATE TABLE `tg_emqx_auth`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '主键',
  `device_code` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '设备编码',
  `local_user_name` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '本地用户名',
  `local_pass` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '本地pass',
  `cloud_user_name` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '云用户名',
  `cloud_pass` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '云密码',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 6 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '设备-EMQX鉴权信息' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of tg_emqx_auth
-- ----------------------------
INSERT INTO `tg_emqx_auth` VALUES (1, '测偏仪0001', 'admin', 'admin123', 'admin', 'admin123');
INSERT INTO `tg_emqx_auth` VALUES (2, '300300-01', 'admin', 'admin123', 'admin', 'admin123');
INSERT INTO `tg_emqx_auth` VALUES (3, '300300-02', 'admin', 'admin123', 'admin', 'admin123');
INSERT INTO `tg_emqx_auth` VALUES (5, '300300-333', 'admin', 'admin123', 'admin', 'admin123');

-- ----------------------------
-- Table structure for tg_maintenance_record
-- ----------------------------
DROP TABLE IF EXISTS `tg_maintenance_record`;
CREATE TABLE `tg_maintenance_record`  (
  `id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '设备维保记录-主键',
  `device_name` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '设备名称',
  `device_model` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '设备型号',
  `device_code` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '设备编码',
  `customer_name` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '所属客户',
  `maintenance_type` tinyint NULL DEFAULT NULL COMMENT '维保类型，字典表维护',
  `comments` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `maintenance_user` varchar(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '维护人',
  `maintenance_date` date NULL DEFAULT NULL COMMENT '维护日期',
  `create_by` varchar(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_by` varchar(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 11 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '设备维保记录' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of tg_maintenance_record
-- ----------------------------
INSERT INTO `tg_maintenance_record` VALUES (2, '偏测仪-bug版', 'bug-model001', '300300-01', '京东集团', 0, NULL, 'admin', '2025-04-08', NULL, '2025-04-08 20:01:48', NULL, NULL);
INSERT INTO `tg_maintenance_record` VALUES (3, '偏测仪-bug版', 'bug-model001', '300300-01', '京东集团', 1, NULL, 'admin', '2025-04-08', NULL, '2025-04-09 16:22:02', NULL, NULL);
INSERT INTO `tg_maintenance_record` VALUES (4, '偏测仪-bug版', 'bug-model001', '300300-01', '京东集团', 2, NULL, 'admin', '2025-04-08', NULL, '2025-04-09 16:22:02', NULL, NULL);
INSERT INTO `tg_maintenance_record` VALUES (5, '偏测仪-bug版', 'bug-model001', '300300-01', '京东集团', 2, NULL, 'admin', '2025-04-08', NULL, '2025-04-09 16:22:02', NULL, NULL);
INSERT INTO `tg_maintenance_record` VALUES (6, '偏测仪-bug版', 'bug-model001', '300300-01', '京东集团', 0, NULL, 'admin', '2025-04-08', NULL, '2025-04-09 16:22:02', NULL, NULL);
INSERT INTO `tg_maintenance_record` VALUES (7, '偏测仪-bug版', 'bug-model001', '300300-02', '京东集团', 1, NULL, 'admin', '2025-04-08', NULL, '2025-04-09 16:22:02', NULL, NULL);
INSERT INTO `tg_maintenance_record` VALUES (8, '偏测仪-bug版', 'bug-model001', '300300-02', '京东集团', 1, NULL, 'admin', '2025-04-08', NULL, '2025-04-09 16:22:02', NULL, NULL);
INSERT INTO `tg_maintenance_record` VALUES (9, '偏测仪-bug版', 'bug-model001', '300300-02', '京东集团', 0, NULL, 'admin', '2025-04-08', NULL, '2025-04-09 16:22:02', NULL, NULL);
INSERT INTO `tg_maintenance_record` VALUES (10, '偏测仪-bug版', 'bug-model001', '300300-02', '京东集团', 0, NULL, 'admin', '2025-04-08', NULL, '2025-04-09 16:22:02', NULL, NULL);

SET FOREIGN_KEY_CHECKS = 1;
